# name: systemd
# desc: definition manifest for systemd preset type
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent fdm=marker fdl=0:

# {include:file:yrd/preset.yrd}
define systemd::preset (
	# P U P P E T   R E S O U R C E   M A N A G E M E N T
	Enum['present', 'absent']
	                         $ensure                        = 'present',
	Variant[Pattern[/^\/\S*[^[:blank:]\/]$/], Default]
	                         $path                          = default,
	Optional[Variant[String[1], Default]]
	                         $mode                          = default,
	Optional[Variant[Integer[0], String[1], Default]]
	                         $owner                         = default,
	Optional[Variant[Integer[0], String[1], Default]]
	                         $group                         = default,
	Variant[String[1], Default]
	                         $content_template              = default,
	Optional[Enum[
			'md5',
			'md5lite',
			'sha256',
			'sha256lite',
			'mtime',
			'ctime',
			'none'
		]] $checksum = undef,
	Optional[Boolean]        $show_diff                     = undef,
	Optional[Variant[Boolean, String]]
	                         $backup                        = undef,
	String                   $blame                         = $systemd::params::systemd_unit_default_owner,
	Integer[0, 99]           $automatic_name_priority       = 99,
	
	# P R E S E T
	Array[Tuple[Enum['enable', 'disable'], Pattern[/^[^[:blank:]\n]+$/], 2, 2], 1]
	                         $preset                        = undef,
) {
}
# EOF
