# name: systemd
# desc: definition manifest for systemd snapshot type
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent fdm=marker fdl=0:

define systemd::snapshot (
	Enum['present', 'absent']
	                         $ensure                        = 'present',
) {
	if ($title =~ /\s/) {
		fail('title may not contain spaces')
	}
	
	# this is a construction site. always fail()
	fail('can\'t manage snapshots')
	
	case $ensure {
		'present': {
				exec { $title:
					command                       => @("EOT"/L)
							/bin/systemctl snapshot ${title}
							|-EOT,
					#unless                        => @("EOT")
					#		/bin/systemctl --all -t snapshot -q list-units ${title}.snapshot
					#		|-EOT
				}
				
			}
		'absent': {
				exec { $title:
					command                       => @("EOT"/L)
							/bin/systemctl delete ${title}.snapshot
							|-EOT,
					#onlyif                        => @("EOT")
					#		/bin/systemctl --all -t snapshot -q list-units ${title}.snapshot
					#		|-EOT
				}
			}
		default: {
				fail('only defined actions are "present" and "absent"')
			}
	}
}
# EOF
