[//]: # ( name: readme markdown )
[//]: # ( desc: readme for systemd puppet module )
[//]: # ( auth: Kai Burghardt <wiz at KaiBurghardt.de> )
[//]: # ( edit: this file should be saved in enc=utf8 )
[//]: # ( note: there are non-breaking spaces [like this one ' '] )
[//]: # (       in vim you can :set list listchars=eol:⏎,tab:↹⋯,nbsp:⍽  )
[//]: # ( )
[//]: # ( this readme.md serves both purposes as being user documentation )
[//]: # ( *and* an implementation specification [for some aspects] )
[//]: # ( )
[//]: # ( make use of automatic section <a> generation: )
[//]: # ( introduce headers where a direct #section-name linking's favorable )
[//]: # ( )
[//]: # ( TODO: _generate_ this readme.md [now everything's manual] )

# `systemd`






## overview

This module manages `systemd` –
the EMACS without the editor.

## module description

This module does not cure `systemd`isease.
It may allay the symptoms of it,
but a professional treatment is advised.

As `systemd`isease is under research
as is this module.
Anyway,
since it's first public release
it is considered
to notably ease the pain of affected sysadmins.
However, further tests have to be conducted.

My guaranty:
This module is as bad as what it manages (or even worse).
I mean,
c'mon, let's take over everything that's possible –
what a dumb idea
(instead of contributing to existing projects, you know).



## setup

### what `systemd` affects

Haha, what doesn't it?

* package: `systemd`
  (optional, confer
  [`systemd_package_name`](#systemd_package_name))
* file: `/etc/systemd/system.conf`
  (optional; see [`manage_loc_systemd_conf`](#manage_loc_systemd_conf))
* directory: `/etc/systemd/system.conf.d/`
  (optional, see [`purge_loc_systemd_conf_dir`](#purge_loc_systemd_conf_dir))
* files: `/etc/systemd/system.conf.d/*`
  (optional, see [`purge_loc_systemd_conf_dir`](#purge_loc_systemd_conf_dir))
* file: `/etc/systemd/journal.conf`
  (optional, see [`manage_loc_journald_conf`](#manage_loc_journald_conf))
* directory: `/etc/systemd/journal.conf.d/`
  (optional, see [`purge_loc_journald_conf_dir`](#purge_loc_journald_conf_dir))
* files: `/etc/systemd/journal.conf.d/*`
  (optional, see [`purge_loc_journald_conf_dir`](#purge_loc_journald_conf_dir))
* file: `/etc/systemd/logind.conf`
  (optional, see [`manage_loc_logind_conf`](#manage_loc_logind_conf))
* directory: `/etc/systemd/logind.conf.d/`
  (optional, see [`purge_loc_logind_conf_dir`](#purge_loc_logind_conf_dir))
* files: `/etc/systemd/logind.conf.d/*`
  (optional, see [`purge_loc_logind_conf_dir`](#purge_loc_logind_conf_dir))
* file: `/etc/systemd/resolved.conf`
  (optional, see [`manage_loc_resolved_conf`](#manage_loc_resolved_conf))
* directory: `/etc/systemd/resolved.conf.d/`
  (optional, see [`purge_loc_resolved_conf_dir`](#purge_loc_resolved_conf_dir))
* files: `/etc/systemd/resolved.conf.d/*`
  (optional, see [`purge_loc_resolved_conf_dir`](#purge_loc_resolved_conf_dir))
* file: `/etc/systemd/timesyncd.conf`
  (optional, see [`manage_loc_timesyncd_conf`](#manage_loc_timesyncd_conf))
* directory: `/etc/systemd/timesyncd.conf.d/`
  (optional, see [`purge_loc_timesyncd_conf_dir`](#purge_loc_timesyncd_conf_dir))
* files: `/etc/systemd/timesyncd.conf.d/*`
  (optional, see [`purge_loc_timesyncd_conf_dir`](#purge_loc_timesyncd_conf_dir))
* directory: `/etc/systemd/system-preset/`
  (optional, see [`manage_loc_system_preset_dir`](#manage_loc_system_preset_dir))
* files: `/etc/systemd/system-preset/*`
  (optional, see [`purge_loc_system_preset_dir`](#purge_loc_system_preset_dir))
* file: `/etc/systemd/bootchart.conf`
  (optional, see [`manage_loc_bootchart_conf`](#manage_loc_bootchart_conf))
* directory: `/etc/systemd/bootchart.conf.d/`
  (optional, see [`purge_loc_bootchart_conf_dir`](#purge_loc_bootchart_conf_dir))
* files: `/etc/systemd/bootchart.conf.d/*`
  (optional, see [`purge_loc_bootchart_conf_dir`](#purge_loc_bootchart_conf_dir))
* file: `/etc/systemd/sleep.conf`
  (optional, see [`manage_loc_sleep_conf`](#manage_loc_sleep_conf))
* directory: `/etc/systemd/sleep.conf.d/`
  (optional, see [`purge_loc_sleep_conf_dir`](#purge_loc_sleep_conf_dir))
* files: `/etc/systemd/sleep.conf.d/*`
  (optional, see [`purge_loc_sleep_conf_dir`](#purge_loc_sleep_conf_dir))
* directory: `/etc/modules-load.d/`
  (optional, see [`manage_modules_load_dir`](#manage_modules_load_dir))
* files: `/etc/modules-load.d/*`
  (optional, see [`manage_modules_load_dir`](#manage_modules_load_dir))
* file: `/etc/machine-info`
  (optional, see [`manage_machine_info`](#manage_machine_info))
* directory: `/etc/sysusers.d/`
  (optional, see [`manage_sysusers_dir`](#manage_sysusers_dir))
* files: `/etc/sysusers.d/*`
  (optional, see [`manage_sysusers_dir`](#manage_sysusers_dir))
* file: `/etc/network/interfaces`
  (optional, see [`etc_network_interfaces_note`](#etc_network_interfaces_note))
* file: `/etc/sysctl.conf`
  (optional, see [`manage_sysctl_conf`](#manage_sysctl_conf))
* directory: `/etc/sysctl.d/`
  (optional, see [`manage_sysctl_directory`](#manage_sysctl_directory))
* files: `/etc/sysctl.d/*`
  (optional, see [`manage_sysctl_directory`](#manage_sysctl_directory))
* file: `/etc/udev/udev.conf`
  (optional, see [`manage_udev_conf`](#manage_udev_conf))
* file: `/etc/locale.conf`
  (optional, see [`manage_locale_conf`](#manage_locale_conf))
* file: `/etc/localtime`
  (optional, see [`manage_localtime`](#manage_localtime))


### setup requirements

Following software is not managed by any means through this module.

* Several things require a shell.
* Some things require `coreutils`.
* Some things require `grep(1)`.

Furthermore, your system has to _run_ on the `systemd` operating system.
It is _not_ checked,
whether the current runtime is actually powered by `systemd`.



[//]: # ( ############################################################## )
[//]: # (                                                                )
[//]: # ( R E F E R E N C E                                              )
[//]: # (                                                                )
[//]: # ( ############################################################## )

## reference

Enough for the `systemd` bashing
(we'll come to that back later).
Here comes the reference.

My policy regarding case-sensitive languages (like ruby):
identifiers are written in `snake_case`,
all letters in lower-case
[in case in-sensitive language I do use `camelCase`].
Therefore
[`systemd.directives(7)`](https://freedesktop.org/software/systemd/man/systemd.directives.html)
are adapted accordingly.
Usually they're prefixed with the `[section]` name they belong to.
Furthermore identifiers are limited to a length of 29 characters.
So sometimes I've arbitrarily shortened the names from systemd.

This module is primarily aimed to prevent obvious mistakes.
It does not prevent you from doing stupid things.



---

[//]: # (                                                                )
[//]: # ( C L A S S E S                                                  )
[//]: # (                                                                )

---
### classes

* `systemd`
* `systemd::params`: holds defaults
* `systemd::install`: installs `systemd`,
   optionally uninstalls some conflicting software
* `systemd::config`: resource collectors and `systemd(1)` configuration per se
* `systemd::daemon`: [since `::service` is taken]


#### parameters

All the following parameters are for the `systemd` basis class.

Note:
No configuration (determined by the following class parameters) is performed,
if [`systemd_package_version`](#systemd_package_version) is either
`'absent'` or `'purged'`.
This note is not repeated at each individual configuration parameter.



---
##### `systemd_package_name`

* abstract:
  The name of the `systemd` package.

* behavior:
	
	* any string:
	  the `Package['systemd']` gets managed by this module,
	  where `Package['systemd']['name'] = systemd_package_name`.
	
	* `undef`:
	  `Package['systemd']` isn't be managed by this module

* allowed values: a non-empty string or `undef`

* default: `'systemd'` on all platforms


---
##### `systemd_package_version`

* abstract:
  the version of the package specified by
  [`systemd_package_name`](#systemd_package_name)

* behavior:
	
	* `'absent'`, `'purged'`:
	  Remove or purge
	  the package specified by
	  [`systemd_package_name`](#systemd_package_name)
	  [Class] configuration files aren't managed anymore.
	
	* any other string:
	  the package version is updated accordingly
	  and all (class) configuration files are managed
	  (provided their `manage_XYZ_conf` is `true`)

* allowed values: any non-empty string

* default: `present`


---
##### `systemd_local_gens_dir`

* abstract:
  whether the directory `/etc/systemd/system-generators/`
  shall be created

* behavior:
	
	* `true`: the directory becomes managed.
	  Any un-managed files in there are purged.
	  Changes in this directory trigger a generator re-run.
	  See
	  [`systemd.generator(7)`](https://freedesktop.org/software/systemd/man/systemd.generator.html)
	  for more information.
	
	* `false`: no additional behavior

* acceptable values: `true`, `false`

* default value: `false`


---
##### `collect_systemd_resources`

* abstract: whether `systemd::config`
  collects all `systemd::*` defined type resources

* behavior
	
	* `true`:
	  In `systemd::config` all [defined type resources](#types)
	  are collected with a
	  [resource collector](https://docs.puppet.com/puppet/latest/reference/lang_collectors.html).
	  This is used to trigger a `systemctl daemon-reload` in `systemd::daemon`.
	
	* `false`:
	  The functionality described at `true` is not added.
	  On more complex set-ups
	  you'd get quite fast into trouble with dependency cycles.
	
* Note:
  The defined resource types establish the link
  `unit_file ↝ associated_service`.
  This only works as expected,
  if `systemd` doesn't use cached units.
  The catch-all solution is to leave this parameter to `true`.

* acceptable values: `true`, `false`

* default value: `true`


---
##### `remove_rather_purge_conflicts`

* abstract: whether packages conflicting with systemd annexed services
  ar just removed instead of purged

* behavior:
	
	* `true`: remove conflicting packages (`ensure => absent`)
	
	* `false`: purge conflicting packages (`ensure => purged`)

* allowed values: `true` and `false`

* default: `false`


---
##### `systemd_networkd_ensure`

* abstract: `Service['networkd']['ensure']`

* behavior
	
	* `'running'`/`'stopped'`: stop or run the
	  [`systemd-networkd(8)`](https://freedesktop.org/software/systemd/man/systemd-networkd.html)
	  service
	
	* `undef`: the network daemon is not managed by this module

* allowed values: `'running'`, `'stopped'`, and `undef`

* default: `undef`


---
##### `systemd_networkd_enable`

* abstract: `Service['networkd']['enable']`

* behavior:
	
	* `true`/`false`: the `systemd-networkd` does or does not start on boot
	
	* `undef`: this setting is not modified.
	  The “vendor preset” seems to be disabled (do not start at boottime).

* allowed values: `true`, `false` and `undef`

* default: `undef`


---
##### `manage_networkd_competitors`

* abstract: whether to take care of other
  network management packages

* behavior
	
	* `true`: purge packages specified by
	  [`networkd_competitors_packages`](#networkd_competitors_packages).
	  Beware:
	  Some network managers _de_configure the network,
	  if they're asked to sign off (because of the de-installation)
	  This leads to you losing network connectivity _during_ the puppet run,
	  possibly ending up in a mis-configured machine.
	
	* `false`: do not remove any package.
	  Note:
	  You have to take care of other
	  competing network management programs by yourself,
	  if you'd like to give
	  [`systemd-networkd(8)`](https://freedesktop.org/software/systemd/man/systemd-networkd.html)
	  the sole control.
	  Just disabling the `service { 'networking': enable => false}` [or `mask`],
	  so they aren't started at the _next_ boot,
	  seems to be the most clean solution.

* allowed values: `false`, `true`

* default: `false`


---
##### `networkd_competitors_packages`

* abstract: the package to remove,
  if [`manage_networkd_competitors`](#manage_networkd_competitors)

* allowed values: an array of non-empty strings

* default: `$systemd::params::networkd_competitors_packages`,
  which is platform-independently
  `['ifupdown', 'ifupdown2', 'libnm-glib4']`
  (hint: `nm` = NetworkManager)


---
##### `systemd_resolved_ensure`

* abstract: `Service['resolved']['ensure']`

* behavior
	
	* `'running'`/`'stopped'`: stop or run the
	  [`systemd-resolved(8)`](https://freedesktop.org/software/systemd/man/systemd-resolved.html)
	  service
	
	* `undef`: `Service['resolved']` ain't managed by this module

* allowed values: `'running'`, `'stopped'` and `undef`

* default: `undef`


---
##### `systemd_resolved_enable`

* abstract: `Service['resolved']['enable']`

* behavior:
	
	* `true`/`false`: the `systemd-resolved` will or will not start on boot
	
	* `undef`: this setting isn't be modified.
	  the “vendor preset” seems to be enabled (start on boot)

* allowed values: `true`, `false` and `undef`

* default: `undef`


---
##### `manage_resolv_conf_symlink`

* abstract: make symlink `/etc/resolv.conf → /run/systemd/resolve/resolv.conf`

* behavior:
	
	* `true`: establish the symbolic link to the
	  [`resolv.conf(5)`](https://freedesktop.org/software/systemd/man/resolv.conf.html)
	  generated by
	  [`systemd-resolved(8)`](https://freedesktop.org/software/systemd/man/systemd-resolved.html)
	
	* `false`: this module doesn't touch `/etc/resolv.conf`

* allowed values: `true` and `false`

* default: `false`


---
##### `systemd_timesyncd_ensure`

* abstract: `Service['timesyncd']['ensure']`

* behavior:
	
	* `'running'`: it is ensured, that the `systemd-timesyncd` is running
	
	* `'stopped'`: it is ensured, that the `systemd-timesyncd` is stopped
	
	* `undef` the
	  [`systemd-timesyncd(8)`](https://freedesktop.org/software/systemd/man/systemd-timesyncd.html)
	  doesn't get managed by this module

* allowed values: `true`, `false`, and `undef`

* default value: `undef`


---
##### `systemd_timesyncd_enable`

* abstract: `Service['timesyncd']['enable']`

* behavior:
	
	* `true`: the `systemd-timesyncd` starts on boot
	
	* `false`: the `systemd-timesyncd` won't start on boot
	
	* `undef`: do not touch this setting
	  the “vendor preset” seems to be enabled (start on boot)

* allowed values: `true`, `false` and `undef`

* default: `undef`


---
##### `manage_timesyncd_conflicts`

* abstract: whether to “take care of” other NTPds

* behavior
	
	* `true`:
	  in `'/lib/systemd/system/systemd-timesyncd.service.d/disable-with-time-daemon.conf'`
	  (a drop-in configuration file)
	  [`systemd-timesyncd(8)`](https://freedesktop.org/software/systemd/man/systemd-timesyncd.html)
	  refuses to start,
	  in case there are any other executable NTPds
	  (not necessarily running).
	  This module can take care of them
	  by removing the relevant packages
	  specified by [`timesyncd_package_conflicts`](#timesyncd_package_conflicts).
	  See also
	  [`remove_rather_purge_conflicts`](#remove_rather_purge_conflicts).
	
	* `false`: You have to resolve the situation on your own,
	  if you'd like to use the
	  [`systemd-timesyncd(8)`](https://freedesktop.org/software/systemd/man/systemd-timesyncd.html).

* allowed values: `true` and `false`

* default: `false`


---
##### `timesyncd_package_conflicts`

* abstract: a list of packages conflicting with
  [`systemd-timesyncd(8)`](https://freedesktop.org/software/systemd/man/systemd-timesyncd.html)

* allowed values: an array of non-empty strings

* default: `['chrony', 'ntp', 'openntpd']`




---
##### `manage_loc_systemd_conf`

* abstract: whether to manage `/etc/systemd/system.conf`

* behavior
	
	* `true`: `/etc/systemd/system.conf` is created
	  with [`systemd_system_conf_erb`](#systemd_system_conf_erb).
	  You should set
	  [`purge_loc_systemd_conf_dir`](#purge_loc_systemd_conf_dir)
	  to `true`, too.
	
	* `false`:
	  [`systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html)
	  is not managed by this module

* value range: `true` and `false`

* default: `false`


---
##### `purge_loc_systemd_conf_dir`

* abstract: enable recursive purge in `/etc/systemd/system.conf.d/`

* behavior
	
	* `false`: do not touch `/etc/systemd/system.conf.d/`
	
	* If `true`,
	  files (and directories)
	  in `/etc/systemd/system.conf.d/` already present,
	  but not managed by puppet,
	  get deleted.
	  It ensures the directory `system.conf.d/` is existent,
	  and only contains files you want,
	  since
	  “[t]he main configuration file [system.conf]
	  is read before any of the configuration directories,
	  and has the lowest precedence”
	  (quote from
	  [`systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html)).
	  There's no distinction being made between `*.conf` files and others.

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_loc_journald_conf`

* abstract: whether to manage `/etc/systemd/journald.conf`

* behavior
	
	* `false`: the file `/etc/systemd/journald.conf` ain't managed
	
	* `true`: fill `/etc/systemd/journald.conf`
	  with [`systemd_journald_conf_erb`](#systemd_journald_conf_erb).
	  You should set
	  [`purge_loc_journald_conf_dir`](#purge_loc_systemd_conf_dir)
	  to `true`, too,
	  avoiding settings being overridden by files,
	  not managed by puppet.

* allowed values: `true` and `false`

* default: `false`


---
##### `purge_loc_journald_conf_dir`

* abstract: whether to manage `/etc/systemd/journald.conf.d/`

* behavior
	
	* `true`: the directory `/etc/systemd/journald.conf.d/`
	  is created and emptied of any unmanaged files.
	  You definitely want that
	  if you [`manage_loc_journald_conf`](#manage_loc_journald_conf),
	  because `/etc/systemd/journald.conf` takes lowest precedence.
	
	* `false`: the directory `/etc/systemd/journald.conf.d/`
	  is neither created, modified, nor emptied

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_loc_logind_conf`

* abstract: whether to manage `/etc/systemd/logind.conf`

* behavior
	
	* `true`: the
	  [`systemd-logind(8)`](https://freedesktop.org/software/systemd/man/systemd-logind.html)
	  configuration file
	  `/etc/systemd/logind.conf`
	  gets created by
	  [`systemd_logind_conf_erb`](#systemd_logind_conf_erb)
	  template.
	  You'd like to set
	  [`purge_loc_logind_conf_dir`](#purge_loc_logind_conf_dir), too.
	
	* `false`: `/etc/systemd/logind.conf` is not managed

* allowed values: `true` and `false`

* default: `false`


---
##### `purge_loc_logind_conf_dir`

* abstract: whether to free `/etc/systemd/logind.conf.d/`
  from unmanaged files

* behavior
	
	* `true`: everything in the folder `/etc/systemd/logind.conf.d/`
	  is deleted, unless it's managed by puppet.
	
	* `false`: don't worry about `/etc/systemd/logind.conf.d/`

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_loc_resolved_conf`

* abstract: whether to manage `/etc/systemd/resolved.conf`

* behavior
	
	* `true`: the
	  [`systemd-resolved(8)`](https://freedesktop.org/software/systemd/man/systemd-resolved.html)
	  configuration file
	  `/etc/systemd/resolved.conf` is generated by template
	  [`systemd_resolved_conf_erb`](#systemd_resolved_conf_erb).
	  You wanna set
	  [`purge_loc_resolved_conf_dir`](#purge_loc_resolved_conf_dir)
	  to `true`, too.
	
	* `false`: `systemd-resolved(8)` is not configured by this
	  module

* allowed values: `true` and `false`

* default: `false`


---
##### `purge_loc_resolved_conf_dir`

* abstract: whether to manage `/etc/systemd/resolved.conf.d/`

* behavior
	
	* `true`: ensure the directory `/etc/systemd/resolved.conf.d/`
	  is present and only contains files managed by puppet.
	  You want that,
	  since `/etc/systemd/resolved.conf`
	  (the local configuration file) takes lowest precendence.
	
	* `false`: don't give a fuck about `/etc/systemd/resolved.conf.d/`

* allowed values: `true` and `false`

* default value: `false`


---
##### `manage_loc_timesyncd_conf`

* abstract: whether to manage `/etc/systemd/timesyncd.conf`

* behavior
	
	* `true`: the
	  [`systemd-timesyncd(8)`](https://freedesktop.org/software/systemd/man/systemd-timesyncd.html)
	  configuration becomes
	  managed and filled with
	  [`systemd_timesyncd_conf_erb`](#systemd_timesyncd_conf_erb).
	  You want to set
	  [`purge_loc_timesyncd_conf_dir`](#purge_loc_timesyncd_conf_dir)
	  to `true`, too,
	  since files there might override configuration values.
	
	* `false`:
	  nothing regarding a local `timesyncd.conf` configuration changes

* allowed values: `true` and `false`

* default: `false`


---
##### `purge_loc_timesyncd_conf_dir`

* abstract: whether the folder `/etc/systemd/timesyncd.conf.d/`
  is freed from unmanaged files

* behavior:
	
	* `true`: ensure the directory `/etc/systemd/timesyncd.conf.d/` is present,
	  and does not contain any unmanaged files
	  (= files not managed via puppet)
	
	* `false`: ignore any presence or absence of the directory
	  or files in there

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_loc_system_preset_dir`

* abstract: whether the directory `/etc/systemd/system-preset/` becomes managed

* behavior
	
	* `true`: the directory `/etc/systemd/system-preset/` is created.
	  This does not free the directory from unmanaged files.
	  For that see
	  [`purge_loc_system_preset_dir`](#purge_loc_system_preset_dir).
	
	* `false`: don't care about the directory `/etc/systemd/system-preset/`

* allowed values: `true` and `false`

* default: `false`


---
##### `purge_loc_system_preset_dir`

* abstract: whether anything below `purge_loc_system_preset_dir`,
  that's not managed by puppet, is deleted

* behavior
	
	* `true`: delete any unmanaged files/directories below
	  `/etc/systemd/system-preset/`.
	
	* `false`: don't care about any files and or directories
	  in `/etc/systemd/system-preset/`.

* note: This parameter only has an effect,
  if [`manage_loc_system_preset_dir`](#manage_loc_system_preset_dir)
  is `true`.

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_loc_bootchart_conf`

* abstract: whether to manage `/etc/systemd/bootchart.conf`

* behavior
	
	* `true`: the file is `/etc/systemd/bootchart.conf` is created
	  with template
	  [`systemd_bootchart_conf_erb`](#systemd_bootchart_conf_erb)
	
	* `false`: do not locally configure `systemd-bootchart(1)`

* allowed values: `true` and `false`

* default: `false`


---
##### `purge_loc_bootchart_conf_dir`

* abstract: manage `/etc/systemd/bootchart.conf.d/`

* behavior
	
	* `true`: the directory `/etc/systemd/bootchart.conf.d/`
	  is managed by this module.
	  It is freed from any unmanaged files.
	
	* `false`: do not do anything
	  regarding `/etc/systemd/bootchart.conf.d/`

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_loc_sleep_conf`

* abstract: do manage `/etc/systemd/sleep.conf`

* behavior
	
	* `true`: the file `/etc/systemd/sleep.conf` becomes
	  managed by this module
	  and is filled with the template specified by
	  [`systemd_sleep_conf_erb`](#systemd_sleep_conf_erb)
	
	* `false`: do not care about `/etc/systemd/sleep.conf`

* allowed values: `true` and `false`

* default: `false`


---
##### `purge_loc_sleep_conf_dir`

* abstract: whether to manage `/etc/systemd/sleep.conf.d/`

* behavior
	
	* `true`: the directory `/etc/systemd/sleep.conf.d/`
	  is present and does not contain any unmanaged files
	
	* `false`: nothing happens

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_modules_load_dir`

* abstract: whether to manage `/etc/modules-load.d/`

* behavior
	
	* `true`: if not present,
	  the directory `/etc/modules-load.d/` is created,
	  and is held free from any unmanaged files
	
	* `false`: no additional behavior

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_machine_info`

* abstract: whether to manage `/etc/machine-info`

* behavior
	
	* `true`: the
	  [`machine-info(5)`](https://freedesktop.org/software/systemd/man/machine-info.html)
	  is managed by
	  the specified [`machine_info_provider`](#machine_info_provider)
	
	* `false`: machine informations aren't managed

* allowed values: `true` and `false`

* default: `false`


---
##### `machine_info_provider`

* abstract: how to manage
  [`machine-info(5)`](https://freedesktop.org/software/systemd/man/machine-info.html),
  assumed it is [managed](#manage_machine_info)

* behavior
	
	* `'hostnamectl'`:
	  the [`machine-info(5)`](https://freedesktop.org/software/systemd/man/machine-info.html)
	  are manipulated by
	  proper [`hostnamectl(1)`](https://freedesktop.org/software/systemd/man/hostnamectl.html) calls
	
	* `'template'`:
	  the file `/etc/machine-info` is filled
	  with the contents of a template

* allowed values: `'hostnamectl'`, `'template'`

* default: `'hostnamectl'`


---
##### `manage_sysusers_dir`

* abstract: whether to manage `/etc/sysusers.d/`

* behavior
	
	* `true`: ensures the directory `/etc/sysusers.d/` is present
	  and does not contain any unmanaged files
	
	* `false`: do not do anything related to
	  [`sysusers.d(5)`](https://freedesktop.org/software/systemd/man/sysusers.d.html)

* allowed values: `true` and `false`

* default: `false`


---
##### `etc_network_interfaces_note`

* abstract: whether to place a note in `/etc/network/interfaces`

* behavior
	
	* `true`: place a note into `/etc/network/interfaces`
	  determined by
	  [`etc_network_interfaces_erb`](#etc_network_interfaces_erb)
	  telling `interfaces(5)` (for `ifup(8)`/`ifdown(8)`)
	  rendered obsolete by
	  [`systemd-networkd(8)`](https://freedesktop.org/software/systemd/man/systemd-networkd.html)
	
	* `false`: `/etc/network/interfaces` is not touched

* allowed values: `true` and `false`

* default: `false`


---
##### `etc_network_interfaces_erb`

* abstract: the template used to render the note
  for [`etc_network_interfaces_note`](#etc_network_interfaces_note)

* allowed values: a non-empty string

* default: `'systemd/etc_network_interfaces.erb'`


---
##### `manage_sysctl_conf`

* abstract: whether to manage `/etc/sysctl.conf`

* behavior
	
	* `true`: the `sysctl.conf(5)` is generated by the
	  template [`sysctl_conf_template`](#sysctl_conf_template)
	  (there's no default template!)
	
	* `false`: do not manage `sysctl.conf(5)`

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_sysctl_directory`

* abstract: whether to manage directory `/etc/sysctl.d/`

* behavior
	
	* `true`: there is a directory `/etc/sysctl.d/`
	  and it does not contain any unmanaged files
	
	* `false`: do not do anything regarding `sysctl.d`

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_udev_conf`

* abstract: whether to manage `/etc/udev/udev.conf`
	
	* `true`: ensures the contents of `/etc/udev/udev.conf`
	  comply with the rendered template
	  [`udev_conf_template`](#udev_conf_template)
	
	* `false`: nothing's done

* allowed values: `true` and `false`

* default: `false`


---
##### `manage_locale_conf`

* abstract: whether to manage `/etc/locale.conf`

* note: the generation of locales is not (yet) triggered.
  Configuring systemd to use non-present locales can lead to strange effects.

* allowed values: `true` and `false`

* default: `false`


---
##### `locale_conf_provider`

* behavior
	
	* `'localectl'`:
	  manipulation of `/etc/locale.conf` is done via a
	  [`localectl(1)`](https://freedesktop.org/software/systemd/man/localectl.html)
	  call.
	  Apparently
	  [`localectl(1)`](https://freedesktop.org/software/systemd/man/localectl.html)
	  does not create the `/etc/locale.conf`
	  resulting in the exec-resource being applied each run.
	
	* `'template'`:
	  the
	  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html)
	  is created by template

* allowed values: `'localectl'` and `'template'`

* default: `'template'`


---
##### `manage_localtime`

* abstract: whether to manage
  [`localtime(5)`](https://freedesktop.org/software/systemd/man/localtime.html)

* behavior
	
	* `true`: the file `/etc/localtime` is managed.
	  see also [`localtime_provider`](#localtime_provider)
	  and [`localtime`](#localtime)
	
	* `false`: nothing happens

* allowed values: `true` and `false`

* default: `false`


---
##### `localtime_provider`

* abstract: how to manage `/etc/localtime`

* behavior
	
	* `'timedatectl'`:
	  the file `/etc/localtime` is managed by systemd's tool
	  [`timedatectl(1)`](https://freedesktop.org/software/systemd/man/timedatectl.html).
	  This is the preferred way,
	  since
	  [`timedatectl(1)`](https://freedesktop.org/software/systemd/man/timedatectl.html)
	  fails,
	  if the [linked target](#localtime) does not exist.
	
	* `'file'`:
	  the `/etc/localtime` is managed as a plain `file` resource.
	  This method might be a tick faster.
	  Specifying a non-existent timezone is not detected.

* note:
  this class does not manage the `tzdata` package
  (where the data in `/usr/share/zoneinfo/` originate from).
  It's pretty unlikely though,
  not having this package via some dependency.

* allowed value: `'timedatectl'` and `'file'`

* default: `'timedatectl'`



---
##### `systemd_system_conf_erb`

* abstract: the template used to render a
  [`systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html)

* behavior: see [`manage_loc_systemd_conf`](#manage_loc_systemd_conf)

* allowed values: any non-empty string

* default: `'systemd/system_conf.erb'`


---
##### `systemd_journald_conf_erb`

* abstract: the template to use for rendering a
  [`journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html)

* behavior: see [`manage_loc_journald_conf`](#manage_loc_journald_conf)

* allowed values: any non-empty string

* default: `'systemd/journald_conf.erb'`


---
##### `systemd_logind_conf_erb`

* abstract: use this template to render a
  [`logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html)

* behavior: see [`manage_loc_logind_conf`](#manage_loc_logind_conf)

* allowed values: any non-empty string

* default: `'systemd/logind_conf.erb'`


---
##### `systemd_resolved_conf_erb`

* abstract: the template to use rendering a
  [`resolved.conf(5)`](https://freedesktop.org/software/systemd/man/resolved.conf.html)

* behavior: see [`manage_loc_resolved_conf`](#manage_loc_resolved_conf)

* allowed values: any non-empty string

* default: `'systemd/resolved_conf.erb'`


---
##### `systemd_timesyncd_conf_erb`

* abstract: the template to use to generate a
  [`timesyncd.conf(5)`](https://freedesktop.org/software/systemd/man/timesyncd.conf.html)

* behavior: see [`manage_loc_timesyncd_conf`](#manage_loc_timesyncd_conf)

* allowed values: any non-empty string

* default: `'systemd/timesyncd_conf.erb'`


---
##### `systemd_bootchart_conf_erb`

* abstract: the template to use rendering a `bootchart.conf(5)`

* behavior: see [`manage_loc_bootchart_conf`](#manage_loc_bootchart_conf)

* allowed values: any non-empty string

* default: `'systemd/bootchart_conf.erb'`


---
##### `systemd_sleep_conf_erb`

* abstract: the template rendering a
  [`sleep.conf`](https://freedesktop.org/software/systemd/man/systemd-sleep.conf.html)

* behavior: see [`manage_loc_sleep_conf`](#manage_loc_sleep_conf)

* allowed values: any non-empty string

* default: `'systemd/sleep_conf.erb'`


---
##### `sysctl_conf_template`

* abstract: the template to use in order to render a `sysctl.conf(5)`

* behavior: see [`manage_sysctl_conf`](#manage_sysctl_conf)

* allowed values: any non-empty string or `undef`

* default valued: `undef`
  (we can't provide a template for the great variety of kernels)


---
##### `udev_conf_template`

* abstract: the template to generate a
  [`udev.conf(5)`](https://freedesktop.org/software/systemd/man/udev.conf.html)
  with

* behavior: see [`manage_udev_conf`](#manage_udev_conf)

* allowed values: any non-empty string

* default: `'systemd/udev_conf.erb'`


---
##### `manager_log_level`

* abstract: see
  [`LogLevel=` in `systemd-system.conf`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#LogLevel=)
  and
  [`--log-level=` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--log-level=)
  for details

* allowed values:
  `'emerg'`, `'alert'`, `'crit'`, `'err'`,
  `'warning'`, `'notice'`, `'info'`, `'debug'`,
  `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`,
  and `undef`

* default: `undef`


---
##### `manager_log_target`

* abstract: confer
  [`LogTarget=` in `systemd-system.conf`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#LogTarget=)
  and
  [`--log-target=` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--log-target=)
  for more details

* allowed values:
  `'console'`, `'journal'`, `'kmsg'`, `'journal-or-kmsg'`, `'null'`
  and `undef`

* default: `undef`


---
##### `manager_log_color`

* abstract: see
  [`LogColor=` in `systemd-system.conf`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#LogColor=)
  and
  [`--log-color=` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--log-color=)
  for more details

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `manager_log_location`

* abstract: look for
  [`LogLocation=` in `systemd-system.conf`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#LogLocation=)
  and
  [`--log-location=` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--log-location=)
  for more details

* allowed values: `true`, `false`, and `undef`

* default value: `undef`


---
##### `manager_dump_core`

* abstract: see for
  [`DumpCore=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DumpCore=)
  and
  [`--dump-core` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--dump-core)
  for more information

* behavior:
	
	* This parameter controls the values in `system.conf`
	  if it's managed by this module with the default template.
	  It does not change the kernel command line.

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `manager_crash_shell`

* abstract: see
  [`CrashShell=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#CrashShell=)
  and
  [`--crash-shell` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--crash-shell)
  for details

* behavior:
	
	* This parameter controls the values in `system.conf`
	  if it's managed by this module with the default template.
	  It does not change the kernel command line.

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `manager_show_status`

* abstract: see
  [`ShowStatus=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#ShowStatus=)
  and
  [`--show-status=` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--show-status=)
  (further cmp.
  [`systemd.show_status=`](https://freedesktop.org/software/systemd/man/systemd.html#systemd.show_status=))

* allowed values: `true`, `false`, and `undef`

* default value: `undef`


---
##### `manager_crash_ch_vt`

* abstract: search for
  [`CrashChangeVT=` in `systemd-system.conf`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#CrashChangeVT=)
  and
  [`systemd.crash_chvt=` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#systemd.crash_chvt=)

* allowed values: `undef` and any integer

* default value: `undef`


---
##### `manager_default_stdout`

* abstract: see
  [`--default-standard-output=` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--default-standard-output=)

* allowed values:
  `'inherit'`, `'null'`, `'tty'`,
  `'journal'`, `'journal+console'`,
  `'syslog'`, `'syslog+console'`,
  `'kmsg'`, `'kmsg+console'`,
  and `undef`

* default: `undef`


---
##### `manager_default_stderr`

* abstract: see
  [`--default-standard-error=` in `systemd(1)`](https://freedesktop.org/software/systemd/man/systemd.html#--default-standard-error=)

* allowed values:
  `'inherit'`, `'null'`, `'tty'`,
  `'journal'`, `'journal+console'`,
  `'syslog'`, `'syslog+console'`,
  `'kmsg'`, `'kmsg+console'`,
  and `undef`

* default value: `undef`


---
##### `manager_cpu_affinity`

* abstract: see
  [`CPUAffinity=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#CPUAffinity=)
  (for more information see
  [`CPUAffinity=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#CPUAffinity=))

* allowed values:
  `undef`,
  and an array of non-negative integers with at least one element

* example: `[0, 1]`

* default: `undef`


---
##### `manager_join_controllers`

* abstract: see
  [`JoinControllers=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#JoinControllers=)

* allowed values:
  `undef`
  and
  temporarily an array of plain strings with at least one element
  (TODO: shall become a hash with proper named keys)

* default: `undef`


---
##### `manager_runtime_watchdog_sec`

* abstract: see for
  [`RuntimeWatchdogSec=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#RuntimeWatchdogSec=)

* acceptable values: `undef` and any non-negative integer

* default: `undef`


---
##### `manager_shutdown_watchdog_sec`

* abstract: see
  [`ShutdownWatchdogSec=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#ShutdownWatchdogSec=)

* allowed values: `undef` and any non-negative integer

* default value: `undef`


---
##### `manager_capability_bound_set`

* abstract: see
  [`CapabilityBoundingSet=` in `systemd-system.conf(5)](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#CapabilityBoundingSet=)

* allowed values:
  `undef` and
  a properly formed hash:
  The hash has two keys: `['inverted_selection', 'capabilities']`.
  `'inverted_selection'` has to be a boolean values.
  `'capabilities'` has to be an array of capability names
  holding at least one element.

* example: `{inverted_selection => true, capabilities => ['CAP_SYSLOG']}`

* default: `undef`


---
##### `manager_syscall_architectures`

* abstract: see
  [`SystemCallArchitectures=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#SystemCallArchitectures=)
  for details

* allowed values:
  `undef`
  and an array of containing at least one of
  `'x86'`, `'x86-64'`, `'x32'`, `'arm'` or `'native'`

* example: `['x86', 'x86-64', 'arm', 'native']`

* default: `undef`


---
##### `manager_timer_slack_nanosec`

* abstract: see
  [`TimerSlackNSec=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#TimerSlackNSec=)

* valid values: `undef` and any non-negative integer

* default: `undef`


---
##### `manager_default_timer_accurac`

* abstract: see
  [`DefaultTimerAccuracySec=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultTimerAccuracySec=)

* possible values: `undef` and any non-negative integer

* default: `undef`


---
##### `manager_default_to_start_sec`

* abstract: see
  [`DefaultTimeoutStartSec=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultTimeoutStartSec=)

* allowed values: `undef` and any non-negative integer

* default value: `undef`


---
##### `manager_default_to_stop_sec`

* abstract: see
  [`DefaultTimeoutStopSec=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultTimeoutStopSec=)

* allowed values: `undef` and any non-negative integer

* default: `undef`


---
##### `manager_default_restart_sec`

* abstract: see
  [`DefaultRestartSec=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultRestartSec=)

* allowed values: `undef` and any non-negative integer

* default: `undef`


---
##### `manager_default_start_lim_int`

* abstract: see
  [`DefaultStartLimitInterval=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultStartLimitIntervalSec=)
  for more information

* allowed values: `undef` and any non-negative integer

* default value: `undef`


---
##### `manager_default_start_lim_brs`

* abstract: see
  [`DefaultStartLimitBurst=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultStartLimitBurst=)

* allowed values: `undef` and any non-negative integer

* default: `undef`


---
##### `manager_default_environment`

* abstract: see
  [`DefaultEnvironment=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultEnvironment=)

* behavior
	
	* the default [`system.conf` template](#systemd_system_conf_erb)
	  uses this parameter
	
	* values containing blanks are automatically surrounded by inch-signs (`"`).
	  do not include them

* allowed values
	
	* `undef`
	
	* a non-empty hash
	  with a non-empty string as key
	  and either a string, a integer (rendered as decimal),
	  or a non-empty array of non-empty strings and/or integers

* example:
  `{'foo' => 'bar', 'answer' => 42, 'things' => ['X', 'Y', 3], 'flag' => ''}`
  renders as
  `DefaultEnvironment = foo=bar answer=42 "things=X Y 3" foo=\n`

* default: `undef`


---
##### `manager_default_cpu_acct`

* abstract: see
  [`DefaultCPUAccounting=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultCPUAccounting=)
  and
  [`CPUAccounting=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#CPUAccounting=)
  for more details

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `manager_default_block_io_acct`

* abstract: see
  [`DefaultBlockIOAccounting=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultBlockIOAccounting=)
  and
  [`BlockIOAccounting=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#BlockIOAccounting=)
  for more details

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `manager_default_memory_acct`

* abstract: see
  [`DefaultMemoryAccounting=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultMemoryAccounting=)
  and
  [`MemoryAccounting=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#MemoryAccounting=)
  for more details

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `manager_default_lim_cpu`

* abstract: see
  [`DefaultLimitCPU=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitCPU=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_fsize`

* abstract: see
  [`DefaultLimitFSIZE=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitFSIZE=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_data`

* abstract: see
  [`DefaultLimitDATA=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitDATA=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_stack`

* abstract: see
  [`DefaultLimitSTACK=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitSTACK=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_core`

* abstract: see
  [`DefaultLimitCORE=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitCORE=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_rss`

* abstract: see
  [`DefaultLimitRSS=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitRSS=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_nofile`

* abstract: see
  [`DefaultLimitNOFILE=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitNOFILE=)

* allowed values: a non-negative integer,
  the string `'infinity'`,
  or the symbol `undef`

* default: `undef`


---
##### `manager_default_lim_as`

* abstract: see
  [`DefaultLimitAS=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitAS=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_nproc`

* abstract: see
  [`DefaultLimitNPROC=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitNPROC=)

* allowed values: a non-negative integer `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_memlock`

* abstract: see
  [`DefaultLimitMEMLOCK=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitMEMLOCK=)

* allowed values: a non-negative integer `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_locks`

* abstract: see
  [`DefaultLimitLOCKS=` in `systemd.system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitLOCKS=)

* allowed values: a non-negative integer `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_sigpendin`

* abstract: see
  [`DefaultLimitSIGPENDING=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitSIGPENDING=)

* allowed values: a non-negative integer `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_msgqueue`

* abstract: see
  [`DefaultLimitMSGQUEUE=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitMSGQUEUE=)

* allowed values: a non-negative integer `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_nice`

* abstract: see
  [`DefaultLimitNICE=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitNICE=)

* allowed values: a non-negative integer `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_rtprio`

* abstract: see
  [`DefaultLimitRTPRIO=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitRTPRIO=)

* allowed values: a non-negative integer `'infinity'`, or `undef`

* default: `undef`


---
##### `manager_default_lim_rttime`

* abstract: see
  [`DefaultLimitRTTIME=` in `systemd-system.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-system.conf.html#DefaultLimitRTTIME=)

* allowed values: a non-negative integer `'infinity'`, or `undef`

* default: `undef`


---
##### `journal_storage`

* abstract: see
  [`Storage=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#Storage=)

* allowed values: `'volatile'`, `'persistent'`, `'auto'`, `'none'`, and `undef`

* default: `undef`


---
##### `journal_compress`

* abstract: see
  [`Compress=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#Compress=)

* acceptable values: `true`, `false`, and `undef`

* default: `undef`


---
##### `journal_seal`

* abstract: see
  [`Seal=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#Seal=)

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `journal_split_mode`

* abstract: see
  [`SplitMode=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#SplitMode=)

* allowed values: `'uid'`, `'login'`, `'none'`, and `undef`

* default: `undef`


---
##### `journal_rate_limit_interval`

* abstract: see `RateLimitInterval=` in `journald.conf(5)`

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_rate_limit_burst`

* abstract: see
  [`RateLimitBurst=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#RateLimitBurst=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_system_max_use`

* abstract: see
  [`SystemMaxUse=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#SystemMaxUse=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_system_keep_free`

* abstract: see
  [`SystemKeepFree=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#SystemKeepFree=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_system_max_file_size`

* abstract: see
  [`SystemMaxFileSize=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#SystemMaxFileSize=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_runtime_max_use`

* abstract: see
  [`RuntimeMaxUse=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#RuntimeMaxUse=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_runtime_keep_free`

* abstract: see
  [`RuntimeKeepFree=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#RuntimeKeepFree=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_runtime_max_file_size`

* abstract: see
  [`RuntimeMaxFileSize=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#RuntimeMaxFileSize=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_max_file_sec`

* abstract: see
  [`MaxFileSec=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#MaxFileSec=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_max_retention_sec`

* abstract: see
  [`MaxRetentionSec=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#MaxRetentionSec=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_sync_interval_sec`

* abstract: see
  [`SyncIntervalSec=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#SyncIntervalSec=)

* allowed values: a non-negative integer, and `undef`

* default: `undef`


---
##### `journal_forward_to_syslog`

* abstract: see
  [`ForwardToSyslog=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#ForwardToSyslog=)

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `journal_forward_to_kmsg`

* abstract: see
  [`ForwardToKMsg=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#ForwardToKMsg=)

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `journal_forward_to_console`

* abstract: confer
  [`ForwardToConsole=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#ForwardToConsole=)

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `journal_forward_to_wall`

* abstract: see
  [`ForwardToWall=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#ForwardToWall=)

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `journal_max_level_store`

* abstract: see
  [`MaxLevelStore=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#MaxLevelStore=)

* allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`,
  `'emerg'`, `'alert'`, `'crit'`, `'err'`, `'warning'`, `'notice'`, `'info'`, `'debug'`,
  and `undef`

* default: `undef`


---
##### `journal_max_level_syslog`

* abstract: see
  [`MaxLevelSyslog=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#MaxLevelSyslog=)

* allowed values: as for as [`MaxLevelStore=`](#journal_max_level_store)

* default: `undef`


---
##### `journal_max_level_kmsg`

* abstract: see
  [`MaxLevelKMsg=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#MaxLevelKMsg=)

* allowed values: same as for [`MaxLevelStore=`](#journal_max_level_store)

* default: `undef`


---
##### `journal_max_level_console`

* abstract: see
  [`MaxLevelConsole=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#MaxLevelConsole=)

* allowed values: confer [`MaxLevelStore=`](#journal_max_level_store)

* default: `undef`


---
##### `journal_max_level_wall`

* abstract: see
  [`MaxLevelWall=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#MaxLevelWall=)

* allowed values: cmp. [`MaxLevelStore=`](#journal_max_level_store)

* default: `undef`


---
##### `journal_tty_path`

* abstract: see
  [`TTYPath=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/journald.conf.html#TTYPath=)

* allowed values: an absolute path, or `undef`

* default: `undef`


---
##### `login_n_auto_vts`

* abstract: see
  [`NAutoVTs=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#NAutoVTs=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`

---
##### `login_reserve_vt`

* abstract: see
  [`ReserveVT=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#ReserveVT=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `login_kill_user_processes`

* abstract: see
  [`KillUserProcesses=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#KillUserProcesses=)

* allowed values: `true`, `false`, or `undef`

* default: `undef`


---
##### `login_kill_only_users`

* abstract:
  limit the contract killer's subjects.
  See
  [`KillOnlyUsers=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#KillOnlyUsers=)
  for more about the contract killers modalities.

* allowed values:
  `undef`,
  a non-empty array of strings (w/o blanks but at least one character),
  or `['']`

* example: `undef`
  (`KillOnlyUsers=` is checked after [`KillExcludeUsers=`](#login_kill_exclude_users))

* default: `undef`


---
##### `login_kill_exclude_users`

* abstract: see
  [`KillExcludeUsers=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#KillExcludeUsers=)

* allowed values: `undef`, an array with an empty string,
  or a non-empty array of non-empty strings

* examples:
  `['root', 'someOtherImportantUser']`
  (processes by `root` and `someOtherImportantUser` aren't killed),
  `['']` (even `root` gets killed)

* default: `undef`


---
##### `login_idle_action`

* abstract: see
  [`IdleAction=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#IdleAction=)

* acceptable values:
  `'ignore'`, `'poweroff'`, `'reboot'`, `'halt'`, `'kexec'`,
  `'suspend'`, `'hibernate'`, `'hybrid-sleep'`, `'lock'`,
  or `undef`

* default: `undef`


---
##### `login_idle_action_sec`

* abstract: see
  [`IdleActionSec=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#IdleActionSec=)

* allowed values: `undef`, or a non-negative integer

* default: `undef`


---
##### `login_inhibit_delay_max_sec`

* abstract: see
  [`InhibitDelayMaxSec=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#InhibitDelayMaxSec=)

* allowed values: `undef`, or a non-negative integer

* default: `undef`


---
##### `login_handle_power_key`

* abstract: see
  [`HandlePowerKey=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#HandlePowerKey=`)

* allowed values:
  `'ignore'`, `'poweroff'`, `'reboot'`, `'halt'`, `'kexec'`,
  `'suspend'`, `'hibernate'`, `'hybrid-sleep'`, `'lock'`, or `undef`

* default: `undef`


---
##### `login_handle_suspend_key`

* abstract: see
  [`HandleSuspendKey=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#HandleSuspendKey=`)

* acceptable values:
  `'ignore'`, `'poweroff'`, `'reboot'`, `'halt'`, `'kexec'`,
  `'suspend'`, `'hibernate'`, '`hybrid-sleep'`, `'lock'`, or `undef`

* default


---
##### `login_handle_hibernate_key`

* abstract: see
  [`HandleHibernateKey=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#HandleHibernateKey=`)

* allowed values:
  `'poweroff'`, `'reboot'`, `'halt'`, `'kexec'`, `'suspend'`,
  `'hibernate'`, `'hybrid-sleep'`, `'lock'`, or `undef`

* default value: `undef`


---
##### `login_handle_lid_sw`

* abstract: see
  [`HandleLidSwitch=` in `journald.conf`](https://freedesktop.org/software/systemd/man/logind.conf.html#HandleLidSwitch=)

* allowed values:
  `'ignore'`, `'poweroff'`, `'reboot'`, `'halt'`, `'kexec'`,
  `'suspend'`, `'hibernate'`, `'hybrid-sleep'`, `'lock'`, or `undef`

* default: `undef`


---
##### `login_handle_lid_sw_docked`

* abstract: see
  [`HandleLidSwitchDocked=` in `journald.conf`](https://freedesktop.org/software/systemd/man/logind.conf.html#HandleLidSwitchDocked=)

* allowed values:
  `'ignore'`, `'poweroff'`, `'reboot'`, `'halt'`, `'kexec'`,
  `'suspend'`, `'hibernate'`, `'hybrid-sleep'`, `'lock'`, or `undef`

* default: `undef`


---
##### `login_power_key_ign_inhib`

* abstract: see
  [`PowerKeyIgnoreInhibited=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#PowerKeyIgnoreInhibited=)

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `login_suspend_key_ign_inhib`

* abstract: see
  [`SuspendKeyIgnoreInhibited=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#SuspendKeyIgnoreInhibited=)

* allowed values: `true`, `false`, `undef`

* default: `undef`


---
##### `login_hibernate_key_ign_inhib`

* abstract: see
  [`HibernateKeyIgnoreInhibited=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#HibernateKeyIgnoreInhibited=)

* acceptable values: `true`, `false`, `undef`

* default: `undef`


---
##### `login_lid_switch_ign_inhib`

* abstract: see
  [`LidSwitchIgnoreInhibited=` in `logind.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#LidSwitchIgnoreInhibited=)

* allowed values: `true`, `false`, or `undef`

* default: `undef`


---
##### `login_holdoff_timeout_sec`

* abstract: see
  [`HoldoffTimeoutSec=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#HoldoffTimeoutSec=)

* allowed values: a non-negative integer, or `undef`

* default value: `undef`


---
##### `login_runtime_directory_size`

* abstract: corresponds to the
  [`RuntimeDirectorySize` setting in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#RuntimeDirectorySize=)

* example:
  `login_runtime_directory_size => Integer($::facts['memory']['system']['available_bytes'] * 0.08)`

* valid values:
  `undef`
  and any non-negative integer

* default: `undef`


---
##### `login_remove_ipc`

* abstract: see
  [`RemoveIPC=` in `journald.conf(5)`](https://freedesktop.org/software/systemd/man/logind.conf.html#RemoveIPC=)

* allowed values: `true`, `false`, or `undef`

* default: `undef`


---
##### `resolve_dns`

* abstract: see
  [`DNS=` in `resolved.conf(5)`](https://freedesktop.org/software/systemd/man/resolved.conf.html#DNS=)

* allowed values: `undef`, or an array.
  The array can contain arrays of four integers between `0` and `255`,
  or eight integers `0x0` and `0xFFFF`.

* example:
  `[[10,1,2,240], [10,2,2,240]]`

* default: `undef`


---
##### `resolve_fallback_dns`

* abstract: see
  [`FallbackDNS=` in `resolved.conf(5)`](https://freedesktop.org/software/systemd/man/resolved.conf.html#FallbackDNS=)

* allowed values: as for [`resolve_dns`](#resolve_dns)

* example:
  `[[8,8,8,8], [8,8,4,4]]`

* default: `undef`


---
##### `resolve_domains`

* abstract: see
  [`Domains=` in `resolved.conf(5)`](https://freedesktop.org/software/systemd/man/resolved.conf.html#Domains=)

* allowed values: `undef`, or a non-empty array of non-empty strings containing no blanks

* example: `['acmenet']`

* default: `undef`


---
##### `resolve_llmnr`

* abstract: see
  [`LLMNR=` in `resolved.conf(5)`](https://freedesktop.org/software/systemd/man/resolved.conf.html#LLMNR=)

* allowed values: `true`, `false`, `'resolve'`, or `undef`

* default: `undef`


---
##### `resolve_dnssec`

* abstract: see
  [`DNSSEC=` in `resolved.conf(5)`](https://freedesktop.org/software/systemd/man/resolved.conf.html#DNSSEC=)

* allowed values: `true`, `false`, `'allow-downgrade'`, or `undef`

* default: `undef`


---
##### `resolve_cache`

* abstract: see
  [`Cache=` in `resolved.conf(5)`](https://freedesktop.org/software/systemd/man/resolved.conf.html#Cache=)

* allowed values: `true`, `false`, or `undef`

* default: `undef`


---
##### `time_ntp`

* abstract: see
  [`NTP=` in `timesyncd.conf(5)`](https://freedesktop.org/software/systemd/man/timesyncd.conf.html#NTP=)

* allowed values: `undef`, or an array.
  The array can contain non-empty strings,
  array of four integers between `0` and `255`,
  or an array of eight integers between `0x0` and `0xFFFF`

* example: `['ntp.acmenet']`

* default: `undef`


---
##### `time_fallback_ntp`

* abstract: see
  [`FallbackNTP=` in `timesyncd.conf(5)`](https://freedesktop.org/software/systemd/man/timesyncd.conf.html#FallbackNTP=)

* allowed values: same as for [`time_ntp`](#time_ntp)

* example: `['time4.google.com', 'time2.google.com', 'time3.google.com', 'time1.google.com']`

* default: `undef`


---
##### `sleep_suspend_mode`

* abstract: see
  [`SuspendMode=` in `systemd-sleep.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-sleep.conf.html#SuspendMode=)

* allowed values: `undef`, or an array of strings

* default: `undef`


---
##### `sleep_hibernate_mode`

* abstract: see
  [`HibernateMode=` in `systemd-sleep.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-sleep.conf.html#HibernateMode=)

* allowed values: `undef`, or an array of strings

* default: `undef`


---
##### `sleep_hybrid_sleep_mode`

* abstract: see
  [`HybridSleepMode=` in `systemd-sleep.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-sleep.conf.html#HybridSleepMode=)

* allowed values: `undef`, or an array of strings

* default: `undef`


---
##### `sleep_suspend_state`

* abstract: see
  [`SuspendState=` in `systemd-sleep.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-sleep.conf.html#SuspendState=)

* allowed values: `undef`, or an array of strings

* example: `['freeze']`

* default: `undef`


---
##### `sleep_hibernate_state`

* abstract: see
  [`HibernateState=` in `systemd-sleep.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-sleep.conf.html#HibernateState=)

* allowed values: `undef`, or an array of strings

* default: `undef`


---
##### `sleep_hybrid_sleep_state`

* abstract: see
  [`HybridSleepState=` in `systemd-sleep.conf(5)`](https://freedesktop.org/software/systemd/man/systemd-sleep.conf.html#HybridSleepState=)

* acceptable values: `undef`, or an array of strings

* default: `undef`


---
##### `bootchart_samples`

* abstract: see `Samples=` in `bootchart.conf(5)`

* allowed values: non-negative integers, or `undef`

* default: `undef`


---
##### `bootchart_frequency`

* abstract: see `Frequency=` in `bootchart.conf(5)`

* allowed values: a positive integer or float, and `undef`

* default: `undef`


---
##### `bootchart_relative`

* abstract: see `Relative=` in `bootchart.conf(5)`

* allowed values: `true`, `false`, or `undef`

* default: `undef`


---
##### `bootchart_filter`

* abstract: see `Filter=` in `bootchart.conf(5)`

* allowed values: `true`, `false`, or `undef`

* default: `undef`


---
##### `bootchart_output`

* abstract: see `Output=` in `bootchart.conf(5)`

* allowed values: `undef`, or an absolute path (no spaces)

* default: `undef`


---
##### `bootchart_init`

* abstract: see `Init=` in `bootchart.conf(5)` for details

* allowed values: `undef`, or an absolute path (no spaces)

* default: `undef`


---
##### `bootchart_plot_memory_usage`

* abstract: see `PlotMemoryUsage=` in `bootchart.conf(5)`

* allowed values: `true`, `false`, or `undef`

* default: `undef`


---
##### `bootchart_plot_entropy_graph`

* abstract: see `PlotEntropyGraph=` in `bootchart.conf(5)`

* acceptable values: `true`, `false`, and `undef`

* default: `undef`


---
##### `bootchart_scale_x`

* abstract: see `ScaleX=` in `bootchart.conf(5)`

* allowed values: a positive integer, and `undef`

* default: `undef`


---
##### `bootchart_scale_y`

* abstract: see `ScaleY=` in `bootchart.conf(5)`

* allowed values: a positive integer, and `undef`

* default: `undef`


---
##### `bootchart_control_group`

* abstract: see `ControlGroup=` in `bootchart.conf(5)`

* allowed values: `true`, `false`, or `undef`

* default: `undef`


---
##### `bootchart_per_cpu`

* abstract: see `PerCPU=` in `bootchart.conf(5)`

* allowed values: `false`, `true`, and `undef`

* default: `undef`


---
##### `machine_info_pretty_hostname`

* abstract: see
  [`PRETTY_HOSTNAME=` in `machine-info(5)`](`https://freedesktop.org/software/systemd/man/machine-info.html#PRETTY_HOSTNAME=)

* allowed values: `undef`, `default`,
  or a non-empty string without blanks

* default: `undef`


---
##### `machine_info_icon_name`

* abstract: see
  [`ICON_NAME=` in `machine-info(5)`](https://freedesktop.org/software/systemd/man/machine-info.html#ICON_NAME=)

* allowed values: `undef`, `default`,
  or a non-empty string without blank characters

* default: `undef`


---
##### `machine_info_chassis`

* abstract: see
  [`CHASSIS=` in `machine-info(5)`](https://freedesktop.org/software/systemd/man/machine-info.html#CHASSIS=)

* allowed values: `undef`, `default`,
  `'desktop'`, `'laptop'`, `'tablet'`, `'handset'`, `'watch'`,
  `'embedded'`, `'vm'`, `'container'`, `'server'`

* default: `undef`


---
##### `machine_info_deployment`

* abstract: see
  [`DEPLOYMENT=` in `machine-info(5)`](https://freedesktop.org/software/systemd/man/machine-info.html#DEPLOYMENT=)

* allowed values: `undef`, `default`,
  or an ASCII word

* default: `undef`


---
##### `machine_info_location`

* abstract: see
  [`LOCATION=` in `machine-info(5)`](https://freedesktop.org/software/systemd/man/machine-info.html#LOCATION=)

* allowed values: `undef`, `default`, or
  a one line string

* default: `undef`


---
##### `locale_conf_lang`

* abstract: sets `LANG=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or
  an ASCII word (possibly including underscores, dots, and dashes)

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_language`

* abstract: sets `LANGUAGE=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_ctype`

* abstract: sets `LC_CTYPE=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a name of a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_numeric`

* abstract: sets `LC_NUMERIC=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a name of a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_time`

* abstract: sets `LC_TIME=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a name of a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_collate`

* abstract: sets `LC_COLLATE=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a name of a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_monetary`

* abstract: sets `LC_MONETARY=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a name of a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_messages`

* abstract: sets `LC_MESSAGES=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_paper`

* abstract: sets `LC_PAPER=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a locale as string

* example: `'de_DE.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_name`

* abstract: sets `LC_NAME=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_address`

* abstract: sets `LC_ADDRESS=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_telephone`

* abstract: sets `LC_TELEPHONE=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a locale as string

* example: `'de_DE.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_measurement`

* abstract: sets `LC_MEASUREMENT=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a locale as string

* example: `'de_DE.UTF-8'`

* default: `undef`


---
##### `locale_conf_lc_identification`

* abstract: sets `LC_IDENTIFICATION=` in
  [`locale.conf(5)`](https://freedesktop.org/software/systemd/man/locale.conf.html#Options)

* allowed values: `undef`, or a locale as string

* example: `'en_US.UTF-8'`

* default: `undef`


---
##### `localtime`

* abstract: the timezone name for
  [`localtime(5)`](https://freedesktop.org/software/systemd/man/localtime.html)

* behavior:
	
	* `undef`: if [`manage_localtime`](#manage_localtime) is `true`,
	  the [related resources](#localtime_provider) fail.
	  Otherwise nothing happens.
	
	* a string: if [`manage_localtime`](#manage_localtime) is enabled,
	  the `/etc/localtime` link's target is set to
	  `/usr/share/zoneinfo/${localtime}`.

* allowed values: `undef` or a
  non-empty string of the ASCII characters in `[a-zA-Z0-9+-_/]`.
  The string must not end on a slash.

* example: `'UTC'`
  (recommended,
  set `TZ="Europe/Berlin"` [or whatever] via `pam_env.so`
  for uid > 999)

* default value: `'UTC'`


---
##### `udev_conf_udev_log`

* abstract: see
  [`udev_log` in `udev.conf(5)`](https://freedesktop.org/software/systemd/man/udev.conf.html#udev_log)

* allowed values: `'err'`, `'info'`, `'debug'`,
  a non-negative integer smaller than eight,
  and `undef`

* default: `undef`




---

[//]: # (                                                                )
[//]: # ( T Y P E S                                                      )
[//]: # (                                                                )

---
### Types

* [`systemd::unit`](#systemdunit)
	* [`systemd::service`](#systemdservice)
	* [`systemd::socket`](#systemdsocket)
	* [`systemd::device`](#systemddevice)
	* [`systemd::mount`](#systemdmount)
	* [`systemd::automount`](#systemdautomount)
	* [`systemd::swap`](#systemdswap)
	* [`systemd::target`](#systemdtarget)
	* [`systemd::path`](#systemdpath)
	* [`systemd::timer`](#systemdtimer)
	* [`systemd::snapshot`](#systemdsnapshot)
	* [`systemd::slice`](#systemdslice)
	* [`systemd::scope`](#systemdscope)
* [`systemd::preset`](#systemdpreset)
* `systemd-networkd(8)`
	* [`systemd::link`](#systemdlink)
	* [`systemd::network`](#systemdnetwork)
	* [`systemd::netdev`](#systemdnetdev)
* `systemd-tmpfiles(8)`
	* [`systemd::tmpfiles_conf`](#systemdtmpfiles_conf)
* `systemd-modules-load(8)`
	* [`systemd::modules_load_conf`](#systemdmodules_load_conf)
* `systemd-sysctl.service(8)`
	* [`systemd::sysctl_conf`](#systemdsysctl_conf)
* `systemd-sysusers(8)`
	* [`systemd::sysusers_conf`](#systemdsysusers_conf)

You can use any of those types,
without having to use my `Class['systemd']`.
So you can manage your `systemd` somehow else,
or not at all.

However, defined types,
which end up in creating unit files,
should be reloaded with `systemctl daemon-reload`.
You can use [`collect_systemd_resources`](#collect_systemd_resources)
from the systemd class for this.



[//]: # ( S Y S T E M D : : U N I T #################################### )

---
#### `systemd::unit`

Limitations:

* Currently you cannot sort
  `Condition*=`/`Assert*=` statements (plural!).
  See the proper section in
  [`systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html)
  what implications this has.


---
##### `ensure`

* abstract: What to do with this resource.

* value behaviors:
	
	* `undef` disables any management of any child resource.
	  Only compilation has to succeed.
	
	* `default` automatically determines the default `$ensure`,
	  which is `'present'`.
	
	* `'absent'` ensures the unit file is absent.
	
	* `'present'` ensures the unit file is present
	  and filled with proper content.

* accepted values: `undef`, `default`, `'absent'`, `'present'`

* default value: `default`


---
##### `path`

* abstract: Where to place the unit file.

* value behaviors:
	
	* `default` determines the path by using `$title`.
	  For that
	  `$title` may not contain spaces or slashes.
	  The proper unit type suffix
	  `.unit` is automatically appended.
	
	* a string:
	  the unit file gets placed at the specified path.
	  The directories for
	  [`manage_conf_dir`](#manage_conf_dir),
	  [`manage_wants_dir`](#manage_wants_dir), and
	  [`manage_requires_dir`](#manage_requires_dir)
	  are placed accordingly.

* accepted values: `default`, and
  an absolute path, not containing any spaces, and not ending on a slash

* default: `default`


---
##### `mode`

* abstract: The file mode of regular files.

* value behaviors:
	
	* `default` loads `$systemd::params::systemd_unit_default_mode`
	  (which is `0644`)
	
	* `undef` passes `undef` as `mode` to regular file resources

* accepted values: `undef`, `default`,
  and any string of positive length

* default value: `default`


---
##### `owner`

* abstract: The owner of regular files.

* value behaviors:
	
	* `default` loads `$systemd::params::systemd_unit_default_owner`
	  By now it is `'root'` on some platforms
	  and falls back to uid `0` for any other.

* accepted values:
  `undef`, `default`,
  non-negative integers,
  and any string of positive length

* default value:
  `default`


---
##### `group`

* abstract: The group of regular files.

* value behaviours:
	
	* `default` loads `$systemd::params::systemd_unit_default_group`.
	  This value may be OS-specific.
	  Currently known are `'root'` and `'wheel'` for some platforms.
	  It falls back to uid `0` for unknown platforms.

* accepted values: `undef`, `default`,
  non-negative integers,
  and any string of positive length

* default value: `default`


---
##### `content_template`

* abstract: the `*.erb` template to use,
  in order to render the `*.unit` file

* behavior:
	
	* `default`: the proper default template is loaded
	
	* a non-empty string: your specified template is used

* allowed values: `default`, or a non-empty string

* default value: `default`


---
##### `validate_cmd`

* abstract:
  This is a pass-through to all
  (by the defined type) managed unit files.

* value behaviors:
	
	* `default`:
	  Loads the default `$systemd::params::systemd_unit_validate_cmd`,
	  which currently is `/usr/bin/systemd-analyze verify %`.
	
	* `undef`:
	  do not perform any validation
	
	* any non-empty string: validate with the specified command

* Note:
  `systemd-analyze verify` checks for dependencies, too.
  You have to add proper ordering to your resource declarations
  to make validation succeed.
  There are also implicit dependencies and default dependencies.
  You have to take extra care,
  if your unit depends on a generated unit
  (compare `systemd.generator(7)`).

* recommendation:
  if you work with multiple `systemd` versions,
  set this parameter (possibly using a
  [resource defaults statement](https://docs.puppet.com/puppet/latest/lang_defaults.html))
  to `default` (or other reasonable string)

* accepted values: `undef`, `default`, and any string of positive length

* default: `undef`


---
##### `validate_replacement`

* This is direct pass-through to _all_
  (by the defined type)
  managed file resources.

* accepted values: `undef`, and any string of positive length

* default: `undef`


---
##### `checksum`

* abstract: this is passed through to all child `file` resources

* allowed values: `undef`, `'md5'`, `'md5lite'`, `'sha256'`, `'sha256lite'`,
  `'mtime'`, `'ctime'`, `'none'`

* default: `undef`


---
##### `show_diff`

* direct pass-through to all files

* accepted values: `undef`, `true` and `false`

* default value: `undef`


---
##### `backup`

* direct pass-through to all files

* allowed values: `undef`, `true`, `false`, and any string

* default value: `undef`


---
##### `blame`

* abstract: attributes blame in the standard template

* behavior:
  puts this value in the line starting with `# auth: ` (author)

* allowed values: a string

* default: `$systemd::params::systemd_unit_default_owner`


---
##### `manage_wants_dir`

* abstract: whether the `<unit_name>.wants/` directory is managed

* behavior
	
	* `false`:
	  do not care about `<unit_name>.wants/` directory
	
	* `true`:
	  the `file` resource with the `.wants` suffix is managed

* acceptable values: `true`, `false`

* default: `false`


---
##### `wants_dir_mode`

* abstract: what file mode the `.wants/` directory has
  (if [`manage_wants_dir`](#manage_wants_dir))

* allowed values: `undef`, a non-empty string, or `default`

* default: `default`


---
##### `wants_dir_owner`

* abstract: the owner of the `.wants/` directory
  (if [`manage_wants_dir`](#manage_wants_dir))

* allowed values: `undef`, a non-negative integer,
  a non-empty string, or `default`

* default value: `default`


---
##### `wants_dir_group`

* abstract: the owning group of the `.wants/` directory
  (if [`manage_wants_dir`](#manage_wants_dir))

* allowed values: `undef`, a non-negative integer,
  a non-empty string, or `default`

* default value: `default`


---
##### `wants_dir_complete_control`

* abstract: only explicit `file` resources
  residing in the `.wants/` directory
  are allowed

* behavior:
	
	* `false`: ignore files in the `.wants/` directory,
	  which aren't managed by puppet
	
	* `true`: `recurse` and `purge` with `force`
	  (only has an effect if [`manage_wants_dir`](#manage_wants_dir))

* acceptable value: `false`, `true`

* default: `false`


---
##### `manage_requires_dir`

* abstract: whether to manage the `<unit_name>.requires/` directory

* behavior
	
	* `false`: the absence or presence of the `.requires/` directory,
	  or anything in it, is ignored
	
	* `true`: the `.requires/` directory is present
	  (or absent depending on [`ensure`](#ensure))

* acceptable values: `true`, `false`

* default: `false`


---
##### `requires_dir_mode`

* abstract: the directory mode of the `.requires/` directory
  (if [managed](#manage_requires_dir)
  and [present](#ensure))

* allowed values: `undef`, a non-empty string, or `default`

* default: `default`


---
##### `requires_dir_owner`

* abstract: the owner of the `.requires/` directory, if managed

* allowed values: `undef`,
  a non-negative integer, a non-empty string, or `default`

* default: `default`


---
##### `requires_dir_group`

* abstract: the group of the `.requires/` directory, if managed

* allowed values: `undef`,
  a non-negative integer, a non-empty string, or `default`

* default: `default`


---
##### `requires_dir_complete_control`

* abstract: only `file` resources explicitely managed by puppet
  inside the `.requires/` directory

* behavior
	
	* `false`:
	  unmanaged files in the `.requires/` directory are not deleted
	  (unless [`manage_requires_dir`](#manage_requires_dir) and
	  [`ensure`](#ensure) is `'absent'`)
	
	* `true`:
	  unmanaged files in the `.requires/` directory are deleted

* allowed values: `true`, or `false`

* default: `false`


---
##### `manage_conf_dir`

* abstract: whether to manage the `<unit_name>.d/` directory

* behavior
	
	* `true`:
	  the `.d/` directory presence depends on [`ensure`](#ensure)
	
	* `false`:
	  do not care about the `.d/` directory

* allowed values: yea (`true`), or nay (`false`)

* default: `false`


---
##### `conf_dir_mode`

* abstract: the `.d/` directory's file mode
  (if [managed](#manage_conf_dir) by this resource)

* allowed values: `undef`, a non-empty string, or `default`

* default value: `default`


---
##### `conf_dir_owner`

* abstract: the owner of the `.d/` directory

* allowed values: `undef`,
  a non-negative integer, a non-empty string, `default`

* default value: `default`


---
##### `conf_dir_group`

* abstract: the group of the `.d/` directory

* behavior
	
	* `undef`: no explicit group assigned
	
	* `default`: the default group is loaded.
	  This is `'root'` on debian-like systems.
	  It is `'wheel'` on FreeBSD-like systems.
	  Otherwise `0` (zero).
	
	* any other literal: the group you specified is enforced

* allowed values: `undef`,
  a non-negative integer, a non-empty string, or `default`

* default value: `default`


---
##### `conf_dir_complete_control`

* abstract:
  whether to take care of unmanaged files/directories
  inside the `.d/` directory

* allowed values: `false`, `true`

* default: `false`


---
##### `unit_description`

* abstract: see
  [`Description=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Description=)

* allowed values: `undef`, or a string

* example: `'anchor point for things'`

* default: `undef`


---
##### `unit_documentation`

* abstract: see
  [`Documentation=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Documentation=)

* allowed values: `undef`, or a non-empty array of strings,
  starting with `http://`, `https://`, `file:`, `info:`, `man:`.
  These strings require at least one non-blank character after the
  file specifier.
  Also the empty string `''` is allowed.

* example: `['https://wiki.acme.lan/wiki/DocumentedThing']`

* default: `undef`


---
##### `unit_requires`

* abstract: see
  [`Requires=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Requires=)

* allowed values: `undef`, or a non-empty array of strings,
  which do not contain any spaces

* example: `['data.mount']`

* default: `undef`


---
##### `unit_requires_overridable`

* abstract: see
  [`RequiresOverridable=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#RequiresOverridable=)

* allowed values: `undef`, or a non-empty array of strings,
  having no spaces

* example: `['delay.timer']`

* default: `undef`


---
##### `unit_requisite`

* abstract: see
  [`Requisite=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Requisite=)

* allowed values: `undef`, or a non-empty array of strings,
  without spaces

* default: `undef`


---
##### `unit_requisite_overridable`

* abstract: see
  [`RequisiteOverridable=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#RequisiteOverridable=)

* allowed values: `undef`, or a non-empty array of strings holding no spaces

* default: `undef`


---
##### `unit_wants`

* abstract: see
  [`Wants=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Wants=)

* allowed values: a non-empty array of strings not bearing any spaces, or `undef`

* default: `undef`


---
##### `unit_binds_to`

* abstract: see
  [`BindsTo=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#BindsTo=)

* allowed values: `undef`, or a non-empty array of strings, containing no spaces

* default: `undef`


---
##### `unit_part_of`

* abstract: see
  [`PartOf=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#PartOf=)

* allowed values: `undef`,
  or a non-empty array of strings, which do not contain spaces

* default value: `undef`


---
##### `unit_conflicts`

* abstract: see
  [`Conflicts=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Conflicts=)

* allowed values: `undef`,
  or a non-empty array of strings, which do not contain any spaces

* example: `['init.service']`

* default: `undef`


---
##### `unit_before`

* abstract: see
  [`Before=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Before=)

* acceptable values: `undef`,
  or a non-empty array of strings having no spaces

* default: `undef`


---
##### `unit_after`

* abstract: see
  [`After=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#After=)

* allowed values: `undef`,
  or a non-empty array of strings, which don't contain spaces

* default: `undef`


---
##### `unit_on_failure`

* abstract: see
  [`OnFailure=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#OnFailure=)

* allowed values: `undef`,
  or a non-empty array of strings (no spaces)

* default: `undef`


---
##### `unit_propagates_reload_to`

* abstract: see
  [`PropagatesReloadTo=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#PropagatesReloadTo=)

* allowed values: `undef`
  or a non-empty array of strings consisting of non-space characters

* default: `undef`


---
##### `unit_reload_propagated_from`

* abstract: see
  [`ReloadPropagatedFrom=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ReloadPropagatedFrom=)

* allowed values: a non-empty array of strings, which do not contain spaces,
  or just `undef`

* default: `undef`


---
##### `unit_joins_namespace_of`

* abstract: see
  [`JoinsNamespaceOf=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#JoinsNamespaceOf=)

* allowed values: `undef`,
  or a non-empty array of strings, which don't contain spaces

* default: `undef`


---
##### `unit_requires_mount_for`

* abstract: see
  [`RequiresMountsFor=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#RequiresMountsFor=)

* allowed values: `undef`,
  or a non-empty array of strings, not containing any spaces

* default: `undef`


---
##### `unit_on_failure_job_mode`

* abstract: see
  [`OnFailureJobMode=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#OnFailureJobMode=)

* allowed values: `'fail'`, `'replace'`, `'replace-irreversibly'`,
  `'isolate'`, `'flush'`, `'ignore-dependencies'`,
  `'ignore-requirements'`, and `undef`

* default: `undef`


---
##### `unit_ignore_on_isolate`

* abstract: see
  [`IgnoreOnIsolate=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#IgnoreOnIsolate=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `unit_ignore_on_snapshot`

* abstract: see
  [`IgnoreOnSnapshot=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#IgnoreOnSnapshot=)

* allowed values: `false`, `true`, and `undef`

* default: `undef`


---
##### `unit_stop_when_unneeded`

* abstract: see
  [`StopWhenUnneeded=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#StopWhenUnneeded=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `unit_refuse_manual_start`

* abstract: see
  [`RefuseManualStart=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#RefuseManualStart=)

* allowed values: `false`, `true`, or `undef`

* default: `undef`


---
##### `unit_refuse_manual_stop`

* abstract: see
  [`RefuseManualStop=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#RefuseManualStop=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `unit_allow_isolate`

* abstract: see
  [`AllowIsolate=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AllowIsolate=)

* allowed values: `false`, `true`, `undef`

* default value: `undef`


---
##### `unit_default_dependencies`

* abstract: see
  [`DefaultDependencies=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#DefaultDependencies=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `unit_job_timeout_sec`

* abstract: see
  [`JobTimeoutSec=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#JobTimeoutSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `unit_job_timeout_action`

* abstract: see
  [`JobTimeoutAction=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#JobTimeoutAction=)

* allowed values: `'none'`, `'reboot'`, `'reboot-force'`,
  `'reboot-immediate'`, `'poweroff'`, `'poweroff-force'`,
  `'poweroff-immediate'`, and `undef`

* default: `undef`


---
##### `unit_job_timeout_reboot_arg`

* abstract: see
  [`JobTimeoutRebootArgument=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#JobTimeoutRebootArgument=)

* allowed values: a non-empty string, or `undef`

* default: `undef`


---
##### `unit_condition_architecture`

* abstract: see
  [`ConditionArchitecture=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionArchitecture=)
  for details

* allowed values: a condition string, as described for
  [`ConditionArchitecture=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionArchitecture=),
  or `undef`

* example: `'|?sparc64'`

* default: `undef`


---
##### `unit_condition_virtualization`

* abstract: see
  [`ConditionVirtualization=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionVirtualization=)
  for details

* allowed values: a condition string, as described for
  [`ConditionVirtualization=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionVirtualization=),
  or `undef`

* example: `'!systemd-nspawn'`

* default: `undef`


---
##### `unit_condition_host`

* abstract: see
  [`ConditionHost=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionHost=)

* allowed values: a condition string as described for
  [`ConditionHost=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionHost=)

* example: `'!backupsrv0*'`

* default: `undef`


---
##### `unit_condition_kernel_cmdline`

* abstract: see
  [`ConditionKernelCommandLine=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionKernelCommandLine=)

* allowed values: a condition string as described for
  [`ConditionKernelCommandLine=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionKernelCommandLine=),
  or `undef`

* example: `'|vga'`

* default: `undef`


---
##### `unit_condition_security`

* abstract: see
  [`ConditionSecurity=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionSecurity=)

* allowed values: a conditon string as described for
  [`ConditionSecurity=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionSecurity=),
  or `undef`

* example: `'|!audit'`

* default: `undef`


---
##### `unit_condition_capability`

* abstract: see
  [`ConditionCapability=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionCapability=)

* allowed values: a condition string as described for
  [`ConditionCapability=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionCapability=),
  or `undef`

* example: `'CAP_SYS_ADMIN'`

* default: `undef`


---
##### `unit_condition_ac_power`

* abstract: see
  [`ConditionACPower=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionACPower=)

* allowed values: `false`, `true`, and `undef`

* example: `true`

* default value: `undef`


---
##### `unit_condition_needs_update`

* abstract: see
  [`ConditionNeedsUpdate=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionNeedsUpdate=)

* allowed values: a condition string as described at
  [`ConditionNeedsUpdate=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionNeedsUpdate=),
  and `undef`

* example: `'/etc'`

* default value: `undef`


---
##### `unit_condition_first_boot`

* abstract: see
  [`ConditionFirstBoot=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionFirstBoot=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `unit_condition_path_exists`

* abstract: see
  [`ConditionPathExists=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionPathExists=)

* allowed values: a condition string containing an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_condition_path_exists_gl`

* abstract: see
  [`ConditionPathExistsGlob=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionPathExistsGlob=)

* allowed values: a condition string having an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_condition_path_is_dir`

* abstract: see
  [`ConditionPathIsDirectory=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionPathIsDirectory=)

* allowed values: a condition string containing an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_condition_path_is_syml`

* abstract: see
  [`ConditionPathIsSymbolicLink=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionPathIsSymbolicLink=)

* allowed values: a condition string containing an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_condition_path_is_mntpt`

* abstract: see
  [`ConditionPathIsMountPoint=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionPathIsMountPoint=)

* allowed values: a condition string containing an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_condition_path_is_rw`

* abstract: see
  [`ConditionPathIsReadWrite=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionPathIsReadWrite=)

* allowed values: a condition string containing an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_condition_dir_not_empty`

* abstract: see
  [`ConditionDirectoryNotEmpty=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionDirectoryNotEmpty=)

* allowed values: a condition string containing an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_condition_file_not_empty`

* abstract: see
  [`ConditionFileNotEmpty=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionFileNotEmpty=)

* allowed values: a condition string containing an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_condition_file_is_exec`

* abstract: see
  [`ConditionFileIsExecutable=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#ConditionFileIsExecutable=)

* allowed values: a condition string containing an absolute path,
  or `undef`

* default: `undef`


---
##### `unit_assert_architecture`

* abstract: see
  [`AssertArchitecture=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertArchitecture=)

* allowed values: the same as for
  [`unit_condition_architecture`](#unit_condition_architecture)

* default: `undef`


---
##### `unit_assert_virtualization`

* abstract: see
  [`AssertVirtualization=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertVirtualization=)

* allowed values: the same as for
  [`unit_condition_virtualization`](#unit_condition_virtualization)

* default: `undef`


---
##### `unit_assert_host`

* abstract: see
  [`AssertHost=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertHost=)

* allowed values: the same as for
  [`unit_condition_host`](#unit_condition_host)

* default: `undef`


---
##### `unit_assert_kernel_cmdline`

* abstract: see
  [`AssertKernelCommandLine=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertKernelCommandLine=)

* allowed values: the same as for
  [`unit_condition_kernel_cmdline`](#unit_condition_kernel_cmdline)

* default: `undef`


---
##### `unit_assert_security`

* abstract: see
  [`AssertSecurity=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertSecurity=)

* allowed values: the same as for
  [`unit_condition_security`](#unit_condition_security)

* default value: `undef`


---
##### `unit_assert_capability`

* abstract: see
  [`AssertCapability=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertCapability=)

* allowed values: the same as for
  [`unit_condition_capability`](#unit_condition_capability)

* default value: `undef`


---
##### `unit_assert_ac_power`

* abstract: see
  [`AssertACPower=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertACPower=)

* allowed values: the same as for
  [`unit_condition_ac_power`](#unit_condition_ac_power)

* default value: `undef`


---
##### `unit_assert_needs_update`

* abstract: see
  [`AssertNeedsUpdate=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertNeedsUpdate=)

* allowed values: the same as for
  [`unit_condition_needs_update`](#unit_condition_needs_update)

* default value: `undef`


---
##### `unit_assert_first_boot`

* abstract: see
  [`AssertFirstBoot=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertFirstBoot=)

* allowed values: the same as for
  [`unit_condition_first_boot`](#unit_condition_first_boot)

* default value: `undef`


---
##### `unit_assert_path_exists`

* abstract: see
  [`AssertPathExists=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertPathExists=)

* allowed values: the same as for
  [`unit_condition_path_exists`](#unit_condition_path_exists)

* default value: `undef`


---
##### `unit_assert_path_exists_gl`

* abstract: see
  [`AssertPathExistsGlob=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertPathExistsGlob=)

* allowed values: the same as for
  [`unit_condition_path_exists_gl`](#unit_condition_path_exists_gl)

* default value: `undef`


---
##### `unit_assert_path_is_dir`

* abstract: see
  [`AssertPathIsDirectory=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertPathIsDirectory=)

* allowed values: the same as for
  [`unit_condition_path_is_dir`](#unit_condition_path_is_dir)

* default value: `undef`


---
##### `unit_assert_path_is_syml`

* abstract: see
  [`AssertPathIsSymbolicLink=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertPathIsSymbolicLink=)

* allowed values: the same as for
  [`unit_condition_path_is_syml`](#unit_condition_path_is_syml)

* default value: `undef`


---
##### `unit_assert_path_is_mntpt`

* abstract: see
  [`AssertPathIsMountPoint=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertPathIsMountPoint=)

* allowed values: the same as for
  [`unit_condition_path_is_mntpt`](#unit_condition_path_is_mntpt)

* default value: `undef`


---
##### `unit_assert_path_is_rw`

* abstract: see
  [`AssertPathIsReadWrite=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertPathIsReadWrite=)

* allowed values: the same as for
  [`unit_condition_path_is_rw`](#unit_condition_path_is_rw)

* default value: `undef`


---
##### `unit_assert_dir_not_empty`

* abstract: see
  [`AssertDirectoryNotEmpty=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertDirectoryNotEmpty=)

* allowed values: the same as for
  [`unit_condition_dir_not_empty`](#unit_condition_dir_not_empty)

* default value: `undef`


---
##### `unit_assert_file_not_empty`

* abstract: see
  [`AssertFileNotEmpty=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertFileNotEmpty=)

* allowed values: the same as for
  [`unit_condition_file_not_empty`](#unit_condition_file_not_empty)

* default value: `undef`


---
##### `unit_assert_file_is_exec`

* abstract: see
  [`AssertFileIsExecutable=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#AssertFileIsExecutable=)

* allowed values: the same as for
  [`unit_condition_file_is_exec`](#unit_condition_file_is_exec)

* default value: `undef`


---
##### `unit_source_path`

* abstract: see
  [`SourcePath=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#SourcePath=)

* allowed values: `undef`, or a non-empty string

* default: `undef`


---
##### `install_alias`

* abstract: see
  [`Alias=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Alias=)

* allowed values: a non-empty array of strings without spaces,
  and `undef`

* default: `undef`


---
##### `install_wanted_by`

* abstract: see
  [`WantedBy=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#WantedBy=)

* allowed values: a non-empty array of strings without spaces,
  and `undef`

* default: `undef`


---
##### `install_required_by`

* abstract: see
  [`RequiredBy=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#RequiredBy=)

* allowed values: a non-empty array of strings without spaces,
  and `undef`

* default: `undef`


---
##### `install_also`

* abstract: see
  [`Also=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#Also=)

* allowed values: a non-empty array of strings without spaces,
  and `undef`

* default: `undef`


---
##### `install_default_instance`

* abstract: see
  [`DefaultInstance=` in `systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html#DefaultInstance=)

* allowed values: an ASCII word, or `undef`

* default: `undef`


---
##### `custom_options`

* abstract: A hash for custom options.

* description:
	
	* Do not prefix section names or keys with an `'X-'`.
	  This is done by the template.
	
	* `{'Unit' => {'key' => 'value'}}`
	
	* The hashes their key matches one of the common `systemd.unit` names
	  are sorted in accordingly.
	  If the current `systemd.unit` is not supposed to contain a specific section,
	  it is silently discarded:
	  For example my `opt-bin.mount` is not supposed to contain a `[Service]` section.
	  This check is done case-sensitively.
	
	* If `value` is an an array,
	  each `array[n]` is treat as a line,
	  so `'key' => ['', 'foo']` produces
	  `key                         = \nkey                         = foo\n`
	  (`'key'` might get automatically prefixed with `'X-'`,
	  if it is in one the common `systemd.unit` sections)

* default: `undef`


[//]: # ( S Y S T E M D : : S E R V I C E ############################## )

---
#### `systemd::service`

`systemd::service` accepts all parameters
[`systemd::unit`](#systemd::unit) does.


---
##### `service_type`

* abstract: see
  [`Type=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#Type=)

* allowed values: `'simple'`, `'forking'`, `'oneshot'`,
  `'dbus'`, `'notify'`, `'idle'`, and `undef`

* default: `undef`


---
##### `service_remain_after_exit`

* abstract: see
  [`RemainAfterExit=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#RemainAfterExit=)

* allowed values: `false`, `true`, and `undef`

* default: `undef`


---
##### `service_guess_main_pid`

* abstract: see
  [`GuessMainPID=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#GuessMainPID=)

* allowed values: `false`, `true`, or `undef`

* default: `undef`


---
##### `service_pid_file`

* abstract: see
  [`PIDFile=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#PIDFile=)

* acceptable values: `undef`, or
  a string, resembling an absolute path

* example: `'/run/puppet/agent.pid'`

* default: `undef`


---
##### `service_bus_name`

* abstract: see
  [`BusName=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#BusName=)

* allowed values: a non-empty string containing no spaces,
  or `undef`

* default: `undef`


---
##### `service_bus_policy`

* abstract: see `BusPolicy=` in `systemd.service(5)`

* allowed values: `undef`, or a non-empty array of hashes
  having the keys `bus_name` and `permission`.
  `bus_name` has to be some non-empty string
  containing no spaces.
  `permission` has to be one of
  `'see'`, `'talk'`, `'own'`.

* example: `[{bus_name => 'foo', permission => 'talk'}, {bus_name => 'bar', permission => 'own'}]`

* default: `undef`


---
##### `service_exec_start_pre`

* abstract: see
  [`ExecStartPre=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#ExecStartPre=)

* allowed values: `undef`, or a non-empty array of strings

* default: `undef`


---
##### `service_exec_start`

* abstract: see
  [`ExecStart=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#ExecStart=)

* allowed values: `undef`, or a non-empty array of strings

* default: `undef`


---
##### `service_exec_start_post`

* abstract: see
  [`ExecStartPost=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#ExecStartPost=)

* allowed values: `undef`, or a non-empty array of strings

* default: `undef`


---
##### `service_exec_reload`

* abstract: see
  [`ExecReload=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#ExecReload=)

* allowed values: `undef`, or a non-empty array of strings

* default: `undef`


---
##### `service_exec_stop`

* abstract: see
  [`ExecStop=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#ExecStop=)

* allowed values: `undef`, or a non-empty array of strings

* default: `undef`


---
##### `service_exec_stop_post`

* abstract: see
  [`ExecStopPost=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#ExecStopPost=)

* allowed values: `undef`, or a non-empty array of strings

* default: `undef`


---
##### `service_restart_sec`

* abstract: see
  [`RestartSec=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#RestartSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `service_timeout_start_sec`

* abstract: see
  [`TimeoutStartSec=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#TimeoutStartSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `service_timeout_stop_sec`

* abstract: see
  [`TimeoutStopSec=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#TimeoutStopSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `service_timeout_sec`

* abstract: see
  [`TimeoutSec=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#TimeoutSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `service_watchdog_sec`

* abstract: see
  [`WatchdogSec=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#WatchdogSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `service_restart`

* abstract: see
  [`Restart=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#Restart=)

* allowed values: `'no'`, `'on-success'`, `'on-failure'`, `'on-abnormal'`,
  `'on-watchdog'`, `'on-abort'`, `'always'`, and `undef`

* default: `undef`


---
##### `service_success_exit_status`

* abstract: see
  [`SuccessExitStatus=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#SuccessExitStatus=)

* allowed values: `undef`, or
  an array of either non-negative integers up to `256`, or
  one of the strings `'SIGHUP'`, `'SIGINT'`, `'SIGKILL'`,
  `'SIGPIPE'`, `'SIGALRM'`, `'SIGTERM'`,

* default: `undef`


---
##### `service_restart_prevnt_exit_s`

* abstract: see
  [`RestartPreventExitStatus=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#RestartPreventExitStatus=)

* allowed values: as for [`service_success_exit_status`](#service_success_exit_status)

* default: `undef`


---
##### `service_force_exit_status`

* abstract: see
  [`RestartForceExitStatus=` in
`systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#RestartForceExitStatus=)

* allowed values: as for [`service_success_exit_status`](#service_success_exit_status)

* default: `undef`


---
##### `service_root_dir_start_only`

* abstract: see
  [`RootDirectoryStartOnly=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#RootDirectoryStartOnly=)

* allowed values: `false`, `true`, or `undef`

* default: `undef`


---
##### `service_non_blocking`

* abstract: see
  [`NonBlocking=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#NonBlocking=)

* allowed values: `true`, `false`, and `undef`

* default: `undef`


---
##### `service_notify_access`

* abstract: see
  [`NotifyAccess=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#NotifyAccess=)

* allowed values: `'none'`, `'main'`, `'all'`, or `undef`

* default: `undef`


---
##### `service_sockets`

* abstract: see
  [`Sockets=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#Sockets=)

* allowed values: `undef`, or
  a non-empty array of strings without blanks or the strings `''`

* default: `undef`


---
##### `service_start_limit_interval`

* abstract: see
  [`StartLimitInterval=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#StartLimitInterval=)

* allowed values: `undef` or a non-negative integer

* default: `undef`


---
##### `service_start_limit_burst`

* abstract: see
  [`StartLimitBurst=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#StartLimitBurst=)

* allowed values: `undef` or a non-negative integer

* default: `undef`


---
##### `service_start_limit_action`

* abstract: see
  [`StartLimitAction=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#StartLimitAction=)

* allowed values: `'none'`, `'reboot'`, `'reboot-force'`,
  `'reboot-immediate'`, `'poweroff'`, `'poweroff-force'`,
  `'poweroff-immediate'`, or `undef`

* default: `undef`


---
##### `service_failure_action`

* abstract: see
  [`FailureAction=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#FailureAction=)

* allowed values: `'none'`, `'reboot'`, `'reboot-force'`,
  `'reboot-immediate'`, `'poweroff'`, `'poweroff-force'`,
  `'poweroff-immediate'`, or `undef`

* default: `undef`


---
##### `service_reboot_argument`

* abstract: see
  [`RebootArgument=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#RebootArgument=)

* allowed values: `undef` or some string

* example: `'single'`

* default: `undef`


---
##### `service_fd_store_max`

* abstract: see
  [`FileDescriptorStoreMax=` in `systemd.service(5)`](https://freedesktop.org/software/systemd/man/systemd.service.html#FileDescriptorStoreMax=)

* allowed values: a non-negative integer or `undef`

* default: `undef`


---
##### `service_working_directory`

* abstract: see
  [`WorkingDirectory=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#WorkingDirectory=)

* allowed values: `undef`, or a string without spaces
  starting and ending on a slash `/`

* default: `undef`


---
##### `service_root_directory`

* abstract: see
  [`RootDirectory=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#RootDirectory=)

* allowed values: `undef`, or a string without spaces
  starting and ending on a slash

* default: `undef`


---
##### `service_user`

* abstract: see
  [`User=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#User=)

* allowed values: `undef`, a non-empty string without spaces,
  or a non-negative integer

* default: `undef`


---
##### `service_group`

* abstract: see
  [`Group=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#Group=)

* allowed values: a non-empty string wihout spaces,
  a non-negative integer, or `undef`

* default: `undef`


---
##### `service_supplementary_groups`

* abstract: see
  [`SupplementaryGroups=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SupplementaryGroups=)

* allowed values: a non-empty array of non-negative integers
  or non-empty strings containing no spaces
  or `''`,
  or just `undef`

* default: `undef`


---
##### `service_nice`

* abstract: see
  [`Nice=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#Nice=)

* allowed values: an integer from [-20, 20), or `undef`

* dafault value: `undef`


---
##### `service_oom_score_adjust`

* abstract: see
  [`OOMScoreAdjust=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#OOMScoreAdjust=)

* allowed values: an integer from [-1000, 1000], or `undef`

* default: `undef`


---
##### `service_io_scheduling_class`

* abstract: see
  [`IOSchedulingClass=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#IOSchedulingClass=)

* allowed values: `0`, `1`, `2`, `3`,
  `'none'`, `'realtime'`, `'best-effort'`, `'idle'`,
  or `undef`

* default: `undef`


---
##### `service_io_scheduling_prio`

* abstract: see
  [`IOSchedulingPriority=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#IOSchedulingPriority=)

* allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `undef`

* default: `undef`


---
##### `service_cpu_sched_policy`

* abstract: see
  [`CPUSchedulingPolicy=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#CPUSchedulingPolicy=)

* allowed values: `'other'`, `'batch'`, `'idle'`, `'fifo'`, `'rr'`, or
  `undef`

* default: `undef`


---
##### `service_cpu_sched_priority`

* abstract: see
  [`CPUSchedulingPriority=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#CPUSchedulingPriority=)

* allowed values: an integer within [0, 100), or `undef`

* default: `undef`


---
##### `service_cpu_sched_rset_on_frk`

* abstract: see
  [`CPUSchedulingResetOnFork=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#CPUSchedulingResetOnFork=)

* allowed values: `true`, `undef`, or `false`

* default: `undef`


---
##### `service_cpu_affinity`

* abstract: see
  [`CPUAffinity=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#CPUAffinity=)

* acceptable values: a non-empty array of non-negative integers or `''`,
  or just `undef`

* default: `undef`


---
##### `service_umask`

* abstract: see
  [`UMask=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#UMask=)

* allowed values: a string of four octal digits, or `undef`

* default: `undef`


---
##### `service_environment`

* abstract: see
  [`Environment=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#Environment=)

* allowed values: a non-empty array of `''` or `'key=value'` strings,
  where key has to be a string without spaces.
  If value contains spaces, the whole string has to contain `"`
  at the beginning and end, for instance `'"foo=bar bar bar"'`.
  `undef` is allowed, too.

* default: `undef`


---
##### `service_environment_file`

* abstract: see
  [`EnvironmentFile=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#EnvironmentFile=)

* allowed values: a non-empty array of
  `''` or strings without spaces starting with a slash or starting with `-/`.
  Alternatively just `undef`.

* default: `undef`


---
##### `service_standard_input`

* abstract: see
  [`StandardInput=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#StandardInput=)

* allowed values: `undef`,
  `'null'`, `'tty'`, `'tty-force'`, `'tty-fail'`, `'socket'`

* default: `undef`


---
##### `service_standard_output`

* abstract: see
  [`StandardOutput=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#StandardOutput=)

* allowed values: `'inherit'`, `'tty'`, `'journal'`, `'syslog'`, `'kmsg'`,
  `'journal+console'`, `'syslog+console'`, `'kmsg+console'`, `'socket'`,
  `'null'`, and `undef`

* default: `undef`


---
##### `service_standard_error`

* abstract: see
  [`StandardError=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#StandardError=)

* allowed values: `'inherit'`, `'tty'`, `'journal'`, `'syslog'`, `'kmsg'`,
  `'journal+console'`, `'syslog+console'`, `'kmsg+console'`, `'socket'`,
  `'null'`, and `undef`

* default: `undef`


---
##### `service_tty_path`

* abstract: see
  [`TTYPath=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#TTYPath=)

* allowed values: `undef` or a string

* default: `undef`


---
##### `service_tty_reset`

* abstract: see
  [`TTYReset=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#TTYReset=)

* allowed values: `false`, `true`, and `undef`

* default: `undef`


---
##### `service_ttyv_hangup`

* abstract: see
  [`TTYVHangup=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#TTYVHangup=)

* allowed values: `undef`, `false`, `true`

* default: `undef`


---
##### `service_ttyvt_disallocate`

* abstract: see
  [`TTYVTDisallocate=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#TTYVTDisallocate=)

* allowed values: `undef`, `true`, `false`

* default: `undef`


---
##### `service_syslog_identifier`

* abstract: see
  [`SyslogIdentifier=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SyslogIdentifier=)

* allowed values: `undef` or a non-empty string containing no blanks

* default: `undef`


---
##### `service_syslog_facility`

* abstract: see
  [`SyslogFacility=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SyslogFacility=)

* allowed values:
  `'kern'`, `'user'`, `'mail'`, `'daemon'`, `'auth'`, `'syslog'`, `'lpr'`,
  `'news'`, `'uucp'`, `'cron'`, `'authpriv'`, `'ftp'`, `'local0'`,
  `'local1'`, `'local2'`, `'local3'`, `'local4'`, `'local5'`, `'local6'`,
  `'local7'`, `undef`

* default: `undef`


---
##### `service_syslog_level`

* abstract: see
  [`SyslogLevel=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SyslogLevel=)

* allowed values: `'emerg'`, `'alert'`, `'crit'`, `'err'`, `'warning'`,
  `'notice'`, `'info'`, `'debug'`, `undef`

* default: `undef`


---
##### `service_syslog_level_prefix`

* abstract: see
  [`SyslogLevelPrefix=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SyslogLevelPrefix=)

* allowed values: `false`, `undef`, `true`

* default: `undef`


---
##### `service_timer_slack_nsec`

* abstract: see
  [`TimerSlackNSec=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#TimerSlackNSec=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `service_limit_cpu`

* abstract: see
  [`LimitCPU=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitCPU=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `service_limit_fsize`

* abstract: see
  [`LimitFSIZE=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitFSIZE=)

* allowed values: a non-negative integer,
  the string `'infinity'`, or the symbol `undef`

* default: `undef`


---
##### `service_limit_data`

* abstract: see
  [`LimitDATA=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitDATA=)

* allowed values: `undef`, a non-negative integer, or `'infinity'`

* default: `undef`


---
##### `service_limit_stack`

* abstract: see
  [`LimitSTACK=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitSTACK=)

* allowed values: a non-negative integer, `'infinity'`, `undef`

* default: `undef`


---
##### `service_limit_core`

* abstract: see
  [`LimitCORE=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitCORE=)

* allowed values: a non-negative integer, `'infinity'`, `undef`

* default: `undef`


---
##### `service_limit_rss`

* abstract: see
  [`LimitRSS=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitRSS=)

* allowed values: `undef`, a non-negative integer, or `'infinity'`

* default: `undef`


---
##### `service_limit_nofile`

* abstract: see
  [`LimitNOFILE=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitNOFILE=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default value: `undef`


---
##### `service_limit_as`

* abstract: see
  [`LimitAS=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitAS=)

* allowed values: a non-negative integer, `'infinity'`, `undef`

* default: `undef`


---
##### `service_limit_nproc`

* abstract: see
  [`LimitNPROC=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitNPROC=)

* allowed values: a non-negative integer, the string `'infinity'`, `undef`

* default: `undef`


---
##### `service_limit_memlock`

* abstract: see
  [`LimitMEMLOCK=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitMEMLOCK=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default: `undef`


---
##### `service_limit_locks`

* abstract: see
  [`LimitLOCKS=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitLOCKS=)

* allowed values: a non-negative integer, `'infinity'`, and `undef`

* default: `undef`


---
##### `service_limit_sigpending`

* abstract: see
  [`LimitSIGPENDING=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitSIGPENDING=)

* allowed values: a non-negative integer, `'infinity'`, `undef`

* default: `undef`


---
##### `service_limit_msgqueue`

* abstract: see
  [`LimitMSGQUEUE=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitMSGQUEUE=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default value: `undef`


---
##### `service_limit_nice`

* abstract: see
  [`LimitNICE=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitNICE=)

* allowed values: a non-negative integer, `'infinity'`, `undef`

* default: `undef`


---
##### `service_limit_rtprio`

* abstract: see
  [`LimitRTPRIO=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitRTPRIO=)

* allowed values: a non-negative integer, `'infinity'`, `undef`

* default: `undef`


---
##### `service_limit_rttime`

* abstract: see
  [`LimitRTTIME=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#LimitRTTIME=)

* allowed values: a non-negative integer, `'infinity'`, or `undef`

* default value: `undef`


---
##### `service_pam_name`

* abstract: see
  [`PAMName=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#PAMName=)

* allowed values: a non-empty string without blanks, or `undef`

* default: `undef`


---
##### `service_capability_boundn_set`

* abstract: see
  [`CapabilityBoundingSet=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#CapabilityBoundingSet=)

* allowed values: a non-empty array of hashes, or `undef`.
  The hashes have the keys `invert_selection` and `capabilities`.
  `invert_selection` is a boolean.
  `capabilities` is an array of capability names.

* example: `[{invert_selection => false, capabilities => ['CAP_NET_ADMIN']}]`

* default: `undef`


---
##### `service_secure_bits`

* abstract: see
  [`SecureBits=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SecureBits=)

* allowed values: `undef`, or a non-empty array of the strings
  `'keep-caps'`, `'keep-caps-locked'`, `'no-setuid-fixup'`,
  `'no-setuid-fixup-locked'`, `'noroot'`, `'noroot-locked'`,
  or the empty string `''`

* example: `['noroot-locked']`

* default: `undef`


---
##### `service_capabilities`

* abstract: see
  [`Capabilities=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#Capabilities=)

* allowed values: `undef`, or a non-empty array of hashes.
  The hashes have the keys `capabilities` and `action_list`.
  `capabilities` has to be a non-empty array.
  It can contain non-negative integers or capability names.
  Alternativly `['all']` is allowed.
  `action_list` is a non-empty array of hashes.
  These hashes have the keys `operator` and `flag`.
  `operator` has to be one of `'='`, `'+'` and `'-'`.
  `flag` has to be a non-empty string
  consisting of the characters `'e'`, `'i'` and `'p'`
  (in that order).
  If `operator` is `'='`, `flag` is optional.

* example: `[{capabilities => ['all'], action_list => [{operator => '='}]]`

* default: `undef`


---
##### `service_read_write_dirs`

* abstract: see
  [`ReadWriteDirectories=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#ReadWriteDirectories=)

* allowed values: a non-empty array of strings, either `''` or
  a string without blanks representing an absoulte path to a directory
  (thus starting and ending on a slash);
  or `undef`

* example: `['/var/run/my_service/']`

* default: `undef`


---
##### `service_read_only_dirs`

* abstract: see
  [`ReadOnlyDirectories=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#ReadOnlyDirectories=)

* allowed values: `undef` or a non-empty array of strings,
  either empty ones `''` or strings
  representing an absolute path to a directory
  (without any blanks, starting and ending on a slash `/`)
  optionally starting with a dash `-`

* example: `['/']`

* default: `undef`


---
##### `service_inaccessible_dirs`

* abstract: see
  [`InaccessibleDirectories=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#InaccessibleDirectories=)

* allowed values:
  like as [`service_read_only_dirs`](#service_read_only_dirs) for

* example: `['/my_remote_fileserver_mount/']`
  (for `/home/` and alike confer [`service_protect_home`](#service_protect_home))

* default: `undef`


---
##### `service_private_tmp`

* abstract: see
  [`PrivateTmp=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#PrivateTmp=)

* allowed values: `false`, `true`, or `undef`

* default: `undef`


---
##### `service_private_devices`

* abstract: see
  [`PrivateDevices=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#PrivateDevices=)

* allowed values: `undef`, `false`, `true`

* default: `undef`


---
##### `service_private_network`

* abstract: see
  [`PrivateNetwork=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#PrivateNetwork=)

* allowed values: `false`, `undef`, `true`

* default: `undef`


---
##### `service_protect_system`

* abstract: see
  [`ProtectSystem=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#ProtectSystem=)

* allowed values: `undef`, `false`, `true`, and `'full'`

* default: `undef`


---
##### `service_protect_home`

* abstract: see
  [`ProtectHome=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#ProtectHome=)

* allowed values: `undef`, `false`, `'read-only'`, and `true`

* default: `undef`


---
##### `service_mount_flags`

* abstract: see
  [`MountFlags=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#MountFlags=)

* allowed values: `undef`, `'shared'`, `'slave'`, or `'private'`

* default: `undef`


---
##### `service_utmp_identifier`

* abstract: see
  [`UtmpIdentifier=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#UtmpIdentifier=)

* allowed values: a non-empty string without blanks, or `undef`

* default: `undef`


---
##### `service_utmp_mode`

* abstract: see
  [`UtmpMode=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#UtmpMode=)

* allowed values: `'init'`, `'login'`, `'user'`, and `undef`

* default: `undef`


---
##### `service_se_linux_context`

* abstract: see
  [`SELinuxContext=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SELinuxContext=)

* allowed values: a non-empty string without blanks, or `undef`

* default: `undef`


---
##### `service_app_armor_profile`

* abstract: see
  [`AppArmorProfile=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#AppArmorProfile=)

* allowed values: a non-empty string without any blanks
  optionally preceded by a dash `-`, or `undef`

* default: `undef`


---
##### `service_smack_process_label`

* abstract: see
  [`SmackProcessLabel=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SmackProcessLabel=)

* allowed values: a non-empty string without any blanks
  optionally preceded by a dash `-`,
  or the empty string `''`,
  or `undef`

* default: `undef`


---
##### `service_ignore_sigpipe`

* abstract: see
  [`IgnoreSIGPIPE=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#IgnoreSIGPIPE=)

* allowed values: `false`, `true`, or `undef`

* default: `undef`


---
##### `service_no_new_privileges`

* abstract: see
  [`NoNewPrivileges=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#NoNewPrivileges=)

* allowed values: `undef`, or `false`, or `true`

* default: `undef`


---
##### `service_system_call_filter`

* abstract: see
  [`SystemCallFilter=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SystemCallFilter=)

* allowed values: a non-empty array of hashes,
  where `invert_selection` and `system_calls` are keys.
  `invert_selection` requires a boolean values,
  whereas `system_calls` is yet another non-empty array.
  That array is either `['']`,
  or an array of non-empty strings without any blanks.
  Alternatively just `undef`.

* example:
  `[{invert_selection => true, system_calls => ['seccomp']}]`
  blacklists the `seccomp(2)` system call

* default: `undef`


---
##### `service_system_call_error_no`

* abstract: see
  [`SystemCallErrorNumber=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SystemCallErrorNumber=)

* allowed values: an empty string,
  a non-empty string of non-blank characters,
  or `undef`

* example: `'EINTR'`

* default: `undef`


---
##### `service_system_call_archs`

* abstract: see
  [`SystemCallArchitectures=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#SystemCallArchitectures=)

* allowed values: a non-empty array of the following strings:
  `'x86'`, `'x86-64'`, `'x32'`, `'arm'`, and `'native'`.
  Alternatively just `undef`.

* example: `['x86-64', 'arm', 'native']`

* default: `undef`


---
##### `service_restrict_address_fam`

* abstract: see
  [`RestrictAddressFamilies=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#RestrictAddressFamilies=)

* allowed values: a non-empty array of hashes
  with the two keys `invert_selection` and `address_families`.
  `invert_selection` has to be a boolean value.
  `address_families` has to be a non-empty array of address family names,
  or an array just with the empty string `['']`.
  Alternatively the whole parameter is `undef`.

* example:
  `[{invert_selection => false, address_families => ['AF_INET6', 'AF_UNIX']}]`

* default: `undef`


---
##### `service_personality`

* abstract: see
  [`Personality=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#Personality=)

* allowed values: `'x86'`, `'x86-64'`, `undef`

* default: `undef`


---
##### `service_runtime_dir`

* abstract: see
  [`RuntimeDirectory=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#RuntimeDirectory=)

* allowed values: a non-empty array of strings representing a directory name,
  that means it cannot contain blanks or slashes.
  Alternatively just `undef`.

* default: `undef`


---
##### `service_runtime_dir_mode`

* abstract: see
  [`RuntimeDirectoryMode=` in `systemd.exec(5)`](https://freedesktop.org/software/systemd/man/systemd.exec.html#RuntimeDirectoryMode=)

* allowed values: a four digit octal number as a string,
  or `undef`

* example: `'0750'`

* default: `undef`


---
##### `service_kill_mode`

* abstract: see
  [`KillMode=` in `systemd.kill(5)`](https://freedesktop.org/software/systemd/man/systemd.kill.html#KillMode=)

* allowed values:
  `'control-group'`, `'process'`, `'mixed'`, `'none'`, or `undef`

* default: `undef`


---
##### `service_kill_signal`

* abstract: see
  [`KillSignal=` in `systemd.kill(5)`](https://freedesktop.org/software/systemd/man/systemd.kill.html#KillSignal=)

* allowed values: `'SIGHUP'`, `'SIGINT'`, `'SIGPIPE'`, `'SIGALRM'`,
  `'SIGTERM'`, `'SIGUSR1'`, `'SIGUSR2'`, `'SIGKILL'`, `undef`

* default: `undef`


---
##### `service_send_sighup`

* abstract: see
  [`SendSIGHUP=` in `systemd.kill(5)`](https://freedesktop.org/software/systemd/man/systemd.kill.html#SendSIGHUP=)

* allowed values: `undef`, `false`, `true`

* default: `undef`


---
##### `service_send_sigkill`

* abstract: see
  [`SendSIGKILL=` in `systemd.kill(5)`](https://freedesktop.org/software/systemd/man/systemd.kill.html#SendSIGKILL=)

* allowed values: `undef`, `false`, `true`

* default value: `undef`


---
##### `service_cpu_accounting`

* abstract: see
  [`CPUAccounting=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#CPUAccounting=)

* allowed values: `undef`, `false`, and `true`

* default: `undef`


---
##### `service_cpu_shares`

* abstract: see
  [`CPUShares=weight` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#CPUShares=weight)

* allowed values: an integer, or `undef`

* default: `undef`


---
##### `service_startup_cpu_shares`

* abstract: see
  [`StartupCPUShares=weight` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#StartupCPUShares=weight)

* allowed values: an integer, or `undef`

* default: `undef`


---
##### `service_cpu_quota`

* abstract: see
  [`CPUQuota=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#CPUQuota=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `service_memory_accounting`

* abstract: see
  [`MemoryAccounting=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#MemoryAccounting=)

* allowed values: `undef`, `false`, `true`

* default: `undef`


---
##### `service_memory_limit`

* abstract: see
  [`MemoryLimit=bytes` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#MemoryLimit=bytes)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `service_blk_io_accounting`

* abstract: see
  [`BlockIOAccounting=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#BlockIOAccounting=)

* allowed values: `false`, `undef`, `true`

* default: `undef`


---
##### `service_blk_io_weight`

* abstract: see
  [`BlockIOWeight=weight` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#BlockIOWeight=weight)

* allowed values: an integer within [10, 1000] or `undef`

* default: `undef`


---
##### `service_startup_blk_io_weight`

* abstract: see
  [`StartupBlockIOWeight=weight` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#StartupBlockIOWeight=weight)

* allowed values: an integer within [10, 1000] or `undef`

* default: `undef`


---
##### `service_blk_io_device_weight`

* abstract: see
  [`BlockIODeviceWeight=device weight` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#BlockIODeviceWeight=device_weight)

* allowed values: A non-empty array of hashes or `undef`.
  The hashes have the keys `device` and `weight`.
  `device` has to be a non-empty string.
  `weight` has to be an integer within the range 10 to 1000.

* example: `[{device => '/dev/sda', weight => 500}]`

* default: `undef`


---
##### `service_blk_io_read_bw`

* abstract: see
  [`BlockIOReadBandwidth=device bytes` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#BlockIOReadBandwidth=device_bytes)

* allowed values: A non-empty array of hashes or `undef`.
  The hashes have to have the keys `device` and `bandwidth_bytes_per_second`.
  `device` has to be a non-empty string.
  `bandwidth_bytes_per_second` has to be a non-negative integer.

* example: `[{device => '/dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0', bandwidth_bytes_per_second => 4194304}]`

* default: `undef`


---
##### `service_blk_io_write_bw`

* abstract: see
  [`BlockIOWriteBandwidth=device bytes` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#BlockIOWriteBandwidth=device_bytes)

* allowed values: same as for [`service_blk_io_read_bw`](#service_blk_io_read_bw)

* default: `undef`


---
##### `service_device_allow`

* abstract: see
  [`DeviceAllow=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#DeviceAllow=)

* allowed values: A hash or `undef`. The hash has to have the keys
  `device` and `access`. `device` is a non-empty string.
  `access` is a string containing at least one character of
  `'r'`, `'w'` and `'m'` (in that order).

* example: `{device => 'char-cpu/*', access => 'rw'}`

* default: `undef`


---
##### `service_device_policy`

* abstract: see
  [`DevicePolicy=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#DevicePolicy=)

* allowed values: `'auto'`, `'closed'`, `'strict'`, or `undef`

* default: `undef`


---
##### `service_slice`

* abstract: see
  [`Slice=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#Slice=)

* allowed values: a non-empty string or `undef`

* default: `undef`


---
##### `service_delegate`

* abstract: see
  [`Delegate=` in `systemd.resource-control(5)`](https://freedesktop.org/software/systemd/man/systemd.resource-control.html#Delegate=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `manage_service_resource`

* abstract: whether to manage the corresponding `Service` puppet resource

* behavior
	
	* `false`: do not manage the `Service` of the appropriate name
	
	* `true`: a `service` resource is created.
	  This only works, if [`path`](#path) is `default`.

* default: `false`


---
##### `ensure_service`

* abstract: if [managed](#manage_service_resource),
  the value of the `Service[]`s `ensure` attribute

* behavior
	
	* `'stopped'`: ensures the service's stopped
	
	* `'running'`: ensures the service's running
	
	* `default`: `'stopped'` or `'running'` is determined by [`ensure`](#ensure)

* allowed values: `'stopped'`, `'running'`, `default`

* default value: `default`


---
##### `enable_service`

* abstract: if [managed](#manage_service_resource),
  the value of the `Service[]`s `enable` attribute

* allowed values: `true`, `false`, `'manual'`, or `undef`

* default: `undef`


---
##### `hasrestart`

* abstract: if [managed](#manage_service_resource),
  the `Service[]`s `hasrestart` attribute

* allowed values: `false`, `undef`, `true`

* default: `undef`


---
##### `hasstatus`

* abstract: if [managed](#manage_service_resource),
  the `Service[]`s `hasstatus` attribute

* allowed values: `undef`, `true`, `false`

* default: `undef`


---
##### `explicit_provider`

* abstract: whether to explicitly state the `provider => 'systemd'`
  for a [managed `Service` resource](#manage_service_resource)

* allowed values: `false`, `true`

* default: `false`


---
##### `refresh_service_unit_update`

* abstract: whether a change of the `*.service` file
  notifies the [managed](#manage_service_resource) `Service`.

* behavior: This only affects `Service`s
  which have to be ensured running ([`ensure_service`](#ensure_service)).
  If `true`, a change of the underlying `*.service` unit file
  refreshes the associated `Service`.
  You want to perform a service restart _after_ a `daemon-reload`.
  For that in `systemd::daemon` all `Service` resources are collected:
  `Exec['systemd_reload_configuration'] -> Service <| |>`.
  If you don't use the `systemd` class
  you have take care about that on your own.

* allowed values: `false`, `true`

* default: `false`



[//]: # ( S Y S T E M D : : S O C K E T ################################ )

---
#### `systemd::socket`

`systemd::socket` shares the same attributes
as [`systemd::unit`](#systemdunit) has in some regards:

* [`ensure`](#ensure)
* [`path`](#path)
* [`mode`](#mode)
* [`owner`](#owner)
* [`group`](#group)
* [`content_template`](#content_template)
* [`validate_cmd`](#validate_cmd)
* [`validate_replacement`](#validate_replacement)
* [`checksum`](#checksum)
* [`show_diff`](#show_diff)
* [`backup`](#backup)
* [`blame`](#blame)
* [`manage_wants_dir`](#manage_wants_dir)
* [`wants_dir_mode`](#wants_dir_mode)
* [`wants_dir_owner`](#wants_dir_owner)
* [`wants_dir_group`](#wants_dir_group)
* [`wants_dir_complete_control`](#wants_dir_complete_control)
* [`manage_requires_dir`](#manage_requires_dir)
* [`requires_dir_mode`](#requires_dir_mode)
* [`requires_dir_owner`](#requires_dir_owner)
* [`requires_dir_group`](#requires_dir_group)
* [`requires_dir_complete_control`](#requires_dir_complete_control)
* [`manage_conf_dir`](#manage_conf_dir)
* [`conf_dir_mode`](#conf_dir_mode)
* [`conf_dir_owner`](#conf_dir_owner)
* [`conf_dir_group`](#conf_dir_group)
* [`conf_dir_complete_control`](#conf_dir_complete_control)
* [`unit_description`](#unit_description)
* [`unit_documentation`](#unit_documentation)
* [`unit_requires`](#unit_requires)
* [`unit_requires_overridable`](#unit_requires_overridable)
* [`unit_requisite`](#unit_requisite)
* [`unit_requisite_overridable`](#unit_requisite_overridable)
* [`unit_wants`](#unit_wants)
* [`unit_binds_to`](#unit_binds_to)
* [`unit_part_of`](#unit_part_of)
* [`unit_conflicts`](#unit_conflicts)
* [`unit_before`](#unit_before)
* [`unit_after`](#unit_after)
* [`unit_on_failure`](#unit_on_failure)
* [`unit_propagates_reload_to`](#unit_propagates_reload_to`)
* [`unit_reload_propagated_from`](#unit_reload_propagated_from)
* [`unit_joins_namespace_of`](#unit_joins_namespace_of)
* [`unit_requires_mount_for`](#unit_requires_mount_for)
* [`unit_on_failure_job_mode`](#unit_on_failure_job_mode)
* [`unit_ignore_on_isolate`](#unit_ignore_on_isolate)
* [`unit_ignore_on_snapshot`](#unit_ignore_on_snapshot)
* [`unit_stop_when_unneeded`](#unit_stop_when_unneeded)
* [`unit_refuse_manual_start`](#unit_refuse_manual_start)
* [`unit_refuse_manual_stop`](#unit_refuse_manual_stop)
* [`unit_allow_isolate`](#unit_allow_isolate)
* [`unit_default_dependencies`](#unit_default_dependencies)
* [`unit_job_timeout_sec`](#unit_job_timeout_sec)
* [`unit_job_timeout_action`](#unit_job_timeout_action)
* [`unit_job_timeout_reboot_arg`](#unit_job_timeout_reboot_arg)
* [`unit_condition_architecture`](#unit_condition_architecture)
* [`unit_condition_virtualization`](#unit_condition_virtualization)
* [`unit_condition_host`](#unit_condition_host)
* [`unit_condition_kernel_cmdline`](#unit_condition_kernel_cmdline)
* [`unit_condition_security`](#unit_condition_security)
* [`unit_condition_capability`](#unit_condition_capability)
* [`unit_condition_ac_power`](#unit_condition_ac_power)
* [`unit_condition_needs_update`](#unit_condition_needs_update)
* [`unit_condition_first_boot`](#unit_condition_first_boot)
* [`unit_condition_path_exists`](#unit_condition_path_exists)
* [`unit_condition_path_exists_gl`](#unit_condition_path_exists_gl)
* [`unit_condition_path_is_dir`](#unit_condition_path_is_dir)
* [`unit_condition_path_is_syml`](#unit_condition_path_is_syml)
* [`unit_condition_path_is_mntpt`](#unit_condition_path_is_mntpt)
* [`unit_condition_path_is_rw`](#unit_condition_path_is_rw)
* [`unit_condition_dir_not_empty`](#unit_condition_dir_not_empty)
* [`unit_condition_file_not_empty`](#unit_condition_file_not_empty)
* [`unit_condition_file_is_exec`](#unit_condition_file_is_exec)
* [`unit_assert_architecture`](#unit_assert_architecture)
* [`unit_assert_virtualization`](#unit_assert_virtualization)
* [`unit_assert_host`](#unit_assert_host)
* [`unit_assert_kernel_cmdline`](#unit_assert_kernel_cmdline)
* [`unit_assert_security`](#unit_assert_security)
* [`unit_assert_capability`](#unit_assert_capability)
* [`unit_assert_ac_power`](#unit_assert_ac_power)
* [`unit_assert_needs_update`](#unit_assert_needs_update)
* [`unit_assert_first_boot`](#unit_assert_first_boot)
* [`unit_assert_path_exists`](#unit_assert_path_exists)
* [`unit_assert_path_exists_gl`](#unit_assert_path_exists_gl)
* [`unit_assert_path_is_dir`](#unit_assert_path_is_dir)
* [`unit_assert_path_is_syml`](#unit_assert_path_is_syml)
* [`unit_assert_path_is_mntpt`](#unit_assert_path_is_mntpt)
* [`unit_assert_path_is_rw`](#unit_assert_path_is_rw)
* [`unit_assert_dir_not_empty`](#unit_assert_dir_not_empty)
* [`unit_assert_file_not_empty`](#unit_assert_file_not_empty)
* [`unit_assert_file_is_exec`](#unit_assert_file_is_exec)
* [`unit_source_path`](#unit_source_path)
* [`install_alias`](#install_alias)
* [`install_wanted_by`](#install_wanted_by)
* [`install_required_by`](#install_required_by)
* [`install_also`](#install_also)
* [`install_default_instance`](#install_default_instance)
* [`custom_options`](#custom_options)


---
##### `socket_listen_stream`

* abstract: see
  [`ListenStream=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ListenStream=)

* allowed values: a non-empty array or `undef`.
  The array has to contain empty strings or structures.
  The structure has to have one of the following sets of keys:
  {{`fs_socket`}, {`abstract_ns`}, {`port`},
   {`ipv4_address_octets`, `port`}, {`ipv6_address_words`, `port`}}.
  `fs_socket` can be a non-empty string starting with a slash `/`.
  `abstract_ns` can be a word out of the ASCII character set.
  `port` is a non-negative integer up to and including 65535.
  `ipv4_address_octets` is an array of four integers within [0, 255].
  `ipv6_address_words` is an array of eight integers within [0, 0xFFFF].

* example:
  `['', {ipv4_address_octets => [128, 0, 0, 1], port => 1337}]`

* default: `undef`


---
##### `socket_listen_datagram`

* abstract: see
  [`ListenDatagram=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ListenDatagram=)

* allowed values:
  as for [`socket_listen_stream`](#socket_listen_stream)

* default: `undef`


---
##### `socket_listen_seq_packet`

* abstract: see
  [`ListenSequentialPacket=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ListenSequentialPacket=)

* allowed values:
  as for [`socket_listen_stream`](#socket_listen_stream)

* default: `undef`


---
##### `socket_listen_fifo`

* abstract: see
  [`ListenFIFO=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ListenFIFO=)

* allowed values: a string resembling an absolute path,
  or `undef`

* default: `undef`


---
##### `socket_listen_special`

* abstract: see
  [`ListenSpecial=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ListenSpecial=)

* allowed values: a string resembling an absolute path,
  or `undef`

* default: `undef`


---
##### `socket_listen_netlink`

* abstract: see
  [`ListenNetlink=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ListenNetlink=)

* allowed values: a hash having the keys `family` and `multicast_group`,
  where `family` is a non-empty string,
  and `multicast_group` an optional integer;
  or `undef`

* example: `{family => 'kobject-uevent'}`

* default: `undef`


---
##### `socket_listen_message_queue`

* abstract: see
  [`ListenMessageQueue=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ListenMessageQueue=)

* allowed values: a string or `undef`

* default: `undef`


---
##### `socket_bind_ipv6_only`

* abstract: see
  [`BindIPv6Only=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#BindIPv6Only=)

* allowed values: `'default'`, `'both'`, `'ipv6-only'`, `undef`

* default: `undef`


---
##### `socket_backlog`

* abstract: see
  [`Backlog=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#Backlog=)

* allowed values: a non-negative integer or `undef`

* default: `undef`


---
##### `socket_bind_to_device`

* abstract: see
  [`BindToDevice=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#BindToDevice=)

* allowed values: an integer or `undef`

* default: `undef`


---
##### `socket_socket_user`

* abstract: see
  [`SocketUser=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#SocketUser=)

* allowed values: an ASCII word or `undef`

* default: `undef`


---
###### `socket_socket_group`

* abstract: see
  [`SocketGroup=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#SocketGroup)

* allowed values: an ASCII word or `undef`

* default: `undef`


---
##### `socket_socket_mode`

* abstract: see
  [`SocketMode=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#SocketMode=)

* allowed values: a string of four octal digits, or `undef`

* default: `undef`


---
##### `socket_directory_mode`

* abstract: see
  [`DirectoryMode=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#DirectoryMode=)

* allowed values: a string of four octal digits, or `undef`

* default value: `undef`


---
##### `socket_accept`

* abstract: see
  [`Accept=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#Accept=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `socket_max_connections`

* abstract: see
  [`MaxConnections=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#MaxConnections=)

* acceptable values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_keep_alive`

* abstract: see
  [`KeepAlive=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#KeepAlive=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `socket_keep_alive_time_sec`

* abstract: see
  [`KeepAliveTimeSec=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#KeepAliveTimeSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_keep_alive_interval_s`

* abstract: see
  [`KeepAliveIntervalSec=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#KeepAliveIntervalSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_keep_alive_probes`

* abstract: see
  [`KeepAliveProbes=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#KeepAliveProbes=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_no_delay`

* abstract: see
  [`NoDelay=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#NoDelay=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `socket_priority`

* abstract: see
  [`Priority=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#Priority=)

* allowed values: an integer, or `undef`

* default: `undef`


---
##### `socket_defer_accept_sec`

* abstract: see
  [`DeferAcceptSec=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#DeferAcceptSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_receive_buffer`

* abstract: see
  [`ReceiveBuffer=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ReceiveBuffer=)

* allowed values: a non-negative, or `undef`

* default: `undef`


---
##### `socket_send_buffer`

* abstract: see
  [`SendBuffer=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#SendBuffer=)

* allowed values: `undef`, or a non-negative integer

* default: `undef`


---
##### `socket_ip_tos`

* abstract: see
  [`IPTOS=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#IPTOS=)

* allowed values: an eight-bit integer, `'low-delay'`, `'throughput'`,
  `'reliability'`, `'low-cost'`, `undef`

* default: `undef`


---
##### `socket_ip_ttl`

* abstract: see
  [`IPTTL=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#IPTTL=)

* allowed values: an eight-bit integer, or `undef`

* default: `undef`


---
##### `socket_mark`

* abstract: see
  [`Mark=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#Mark=)

* allowed values: an integer, or `undef`

* default: `undef`


---
##### `socket_reuse_port`

* abstract: see
  [`ReusePort=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ReusePort=)

* allowed values: a boolean value, or `undef`

* default: `undef`


---
##### `socket_smack_label`

* abstract: see
  [`SmackLabel=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#SmackLabel=)

* allowed value: a string, or `undef`

* default: `undef`


---
##### `socket_smack_label_ip_in`

* abstract: see
  [`SmackLabelIPIn=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#SmackLabelIPIn=)

* allowed values: a string, or `undef`

* default: `undef`


---
##### `socket_smack_label_ip_out`

* abstract: see
  [`SmackLabelIPOut=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#SmackLabelIPOut=)

* allowed values: a string, or `undef`

* default: `undef`


---
##### `socket_se_linux_contxt_fr_net`

* abstract: see
  [`SELinuxContextFromNet=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#SELinuxContextFromNet=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `socket_pipe_size`

* abstract: see
  [`PipeSize=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#PipeSize=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_message_queue_max_msgs`

* abstract: see
  [`MessageQueueMaxMessages=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#MessageQueueMaxMessages=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_message_queue_msg_size`

* abstract: see
  [`MessageQueueMessageSize=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#MessageQueueMessageSize=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_free_bind`

* abstract: see
  [`FreeBind=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#FreeBind=)

* allowed values: `true`, `false`, `undef`

* default: `undef`


---
##### `socket_transparent`

* abstract: see
  [`Transparent=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#Transparent=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `socket_broadcast`

* abstract: see
  [`Broadcast=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#Broadcast=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `socket_pass_credentials`

* abstract: see
  [`PassCredentials=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#PassCredentials=)

* allowed values: `undef`, `false` or `true`

* default: `undef`


---
##### `socket_pass_security`

* abstract: see
  [`PassSecurity=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#PassSecurity=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `socket_tcp_congestion`

* abstract: see
  [`TCPCongestion=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#TCPCongestion=)

* allowed values: an ASCII word, or `undef`

* default: `undef`


---
##### `socket_exec_start_pre`

* abstract: see
  [`ExecStartPre=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ExecStartPre=)

* allowed values: same as for [`service_exec_start_pre`](#service_exec_start_pre)

* default: `undef`


---
##### `socket_exec_start_post`

* abstract: see
  [`ExecStartPost=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ExecStartPost=)

* allowed values: see [`service_exec_start_post`](#service_exec_start_post)

* default: `undef`


---
##### `socket_exec_stop_pre`

* abstract: see
  [`ExecStopPre=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ExecStopPre=)

* allowed value: compare [`service_exec_stop_pre`](#service_exec_stop_pre)

* default: `undef`


---
##### `socket_exec_stop_post`

* abstract: see
  [`ExecStopPost=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#ExecStopPost=)

* allowed values: see [`service_exec_stop_post`](#service_exec_stop_post)

* default: `undef`


---
##### `socket_timeout_sec`

* abstract: see
  [`TimeoutSec=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#TimeoutSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `socket_service`

* abstract: see
  [`Service=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#Service=)

* allowed values: an ASCII-word, or `undef`

* default: `undef`


---
##### `socket_remove_on_stop`

* abstract: see
  [`RemoveOnStop=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#RemoveOnStop=)

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `socket_symlinks`

* abstract: see
  [`Symlinks=` in `systemd.socket(5)`](https://freedesktop.org/software/systemd/man/systemd.socket.html#Symlinks=)

* allowed values:
  a non-empty array of strings, representing absolute file paths,
  or just `undef`

* default: `undef`


---
##### `socket_working_directory`

* see [`service_working_directory`](#service_working_directory)


---
##### `socket_root_directory`

* see [`service_root_directory`](#service_root_directory)


---
##### `socket_user`

* see [`service_user`](#service_user)


---
##### `socket_group`

* see [`service_group`](#service_group)


---
##### `socket_supplementary_groups`

* see [`service_supplementary_groups`](#service_supplementary_groups)


---
##### `socket_nice`

* see [`service_nice`](#service_nice)


---
##### `socket_oom_score_adjust`

* see [`service_oom_score_adjust`](#service_oom_score_adjust)


---
##### `socket_io_scheduling_class`

* see [`service_io_scheduling_class`](#service_io_scheduling_class)


---
##### `socket_io_scheduling_prio`

* see [`service_io_scheduling_prio`](#service_io_scheduling_prio)


---
##### `socket_cpu_sched_policy`

* see [`service_cpu_sched_policy`](#service_cpu_sched_policy)


---
##### `socket_cpu_sched_priority`

* see [`service_cpu_sched_priority`](#service_cpu_sched_priority)


---
##### `socket_cpu_sched_rset_on_frk`

* see [`service_cpu_sched_rset_on_frk`](#service_cpu_sched_rset_on_frk)


---
##### `socket_cpu_affinity`

* see [`service_cpu_affinity`](#service_cpu_affinity)


---
##### `socket_umask`

* see [`service_umask`](#service_umask)


---
##### `socket_environment`

* see [`service_environment`](#service_environment)


---
##### `socket_environment_file`

* see [`service_environment_file`](#service_environment_file)


---
##### `socket_standard_input`

* see [`service_standard_input`](#service_standard_input)


---
##### `socket_standard_output`

* see [`service_standard_output`](#service_standard_output)


---
##### `socket_standard_error`

* see [`service_standard_error`](#service_standard_error)


---
##### `socket_tty_path`

* see [`service_tty_path`](#service_tty_path)


---
##### `socket_tty_reset`

* see [`service_tty_reset`](#socket_tty_reset)


---
##### `socket_ttyv_hangup`

* see [`service_ttyv_hangup`](#service_ttyv_hangup)


---
##### `socket_ttyvt_disallocate`

* see [`service_ttyvt_disallocate`](#service_ttyvt_disallocate)


---
##### `socket_syslog_identifier`

* see [`service_syslog_identifier`](#service_syslog_identifier)


---
##### `socket_syslog_facility`

* see [`service_syslog_facility`](#service_syslog_facility)


---
##### `socket_syslog_level`

* see [`service_syslog_level`](#service_syslog_level)


---
##### `socket_syslog_level_prefix`

* see [`service_syslog_level_prefix`](#service_syslog_level_prefix)


---
##### `socket_timer_slack_nsec`

* see [`service_timer_slack_nsec`](#service_timer_slack_nsec)


---
##### `socket_limit_cpu`

* see [`service_limit_cpu`](#service_limit_cpu)


---
##### `socket_limit_fsize`

* see [`service_limit_fsize`](#service_limit_fsize)


---
##### `socket_limit_data`

* see [`service_limit_data`](#service_limit_data)


---
##### `socket_limit_stack`

* see [`service_limit_stack`](#service_limit_stack)


---
##### `socket_limit_core`

* see [`service_limit_core`](#service_limit_core)


---
##### `socket_limit_rss`

* see [`service_limit_rss`](#service_limit_rss)


---
##### `socket_limit_nofile`

* see [`service_limit_nofile`](#service_limit_nofile)


---
##### `socket_limit_as`

* see [`service_limit_as`](#service_limit_as)


---
##### `socket_limit_nproc`

* see [`service_limit_nproc`](#service_limit_nproc)


---
##### `socket_limit_memlock`

* see [`service_limit_memlock`](#service_limit_memlock)


---
##### `socket_limit_locks`

* see [`service_limit_locks`](#service_limit_locks)


---
##### `socket_limit_sigpending`

* see [`service_limit_sigpending`](#service_limit_sigpending)


---
##### `socket_limit_msgqueue`

* see [`service_limit_msgqueue`](#service_limit_msgqueue)


---
##### `socket_limit_nice`

* see [`service_limit_nice`](#service_limit_nice)


---
##### `socket_limit_rtprio`

* see [`service_limit_rtprio`](#service_limit_rtprio)


---
##### `socket_limit_rttime`

* see [`service_limit_rttime`](#service_limit_rttime)


---
##### `socket_pam_name`

* see [`service_pam_name`](#service_pam_name)


---
##### `socket_capability_boundn_set`

* see [`service_capability_boundn_set`](#service_capability_boundn_set)


---
##### `socket_secure_bits`

* see [`service_secure_bits`](#service_secure_bits)


---
##### `socket_capabilities`

* see [`service_capabilities`](#service_capabilities)


---
##### `socket_read_write_dirs`

* see [`service_read_write_dirs`](#service_read_write_dirs)


---
##### `socket_read_only_dirs`

* see [`service_read_only_dirs`](#service_read_only_dirs)


---
##### `socket_inaccessible_dirs`

* see [`service_inaccessible_dirs`](#service_inaccessible_dirs)


---
##### `socket_private_tmp`

* see [`service_private_tmp`](#service_private_tmp)


---
##### `socket_private_devices`

* see [`service_private_devices`](#service_private_devices)


---
##### `socket_private_network`

* see [`service_private_network`](#service_private_network)


---
##### `socket_protect_system`

* see [`service_protect_system`](#service_protect_system)


---
##### `socket_protect_home`

* see [`service_protect_home`](#service_protect_home)


---
##### `socket_mount_flag`

* see [`service_mount_flag`](#service_mount_flag)


---
##### `socket_utmp_identifier`

* see [`service_utmp_identifier`](#service_utmp_identifier)


---
##### `socket_utmp_mode`

* see [`service_utmp_mode`](#service_utmp_mode)


---
##### `socket_se_linux_context`

* see [`service_se_linux_context`](#service_se_linux_context)


---
##### `socket_app_armor_profile`

* see [`service_app_armor_profile`](#service_app_armor_profile)


---
##### `socket_smack_process_label`

* see [`service_smack_process_label`](#service_smack_process_label)


---
##### `socket_ignore_sigpipe`

* see [`service_ignore_sigpipe`](#service_ignore_sigpipe)


---
##### `socket_no_new_privileges`

* see [`service_no_new_privileges`](#service_no_new_privileges)


---
##### `socket_system_call_filter`

* see [`service_system_call_filter`](#service_system_call_filter)


---
##### `socket_system_call_error_no`

* see [`service_system_call_error_no`](#service_system_call_error_no)


---
##### `socket_system_call_archs`

* see [`service_system_call_archs`](#service_system_call_archs)


---
##### `socket_restrict_address_fam`

* see [`service_restrict_address_fam`](#service_restrict_address_fam)


---
##### `socket_personality`

* see [`service_personality`](#service_personality)


---
##### `socket_runtime_dir`

* see [`service_runtime_dir`](#service_runtime_dir)


---
##### `socket_runtime_dir_mode`

* see [`service_runtime_dir_mode`](#service_runtime_dir_mode)


---
##### `socket_cpu_accounting`

* see [`service_cpu_accounting`](#service_cpu_accounting)


---
##### `socket_cpu_shares`

* see [`service_cpu_shares`](#service_cpu_shares)


---
##### `socket_startup_cpu_shares`

* see [`service_startup_cpu_shares`](#service_startup_cpu_shares)


---
##### `socket_cpu_quota`

* see [`service_cpu_quota`](#service_cpu_quota)


---
##### `socket_memory_accounting`

* see [`service_memory_accounting`](#service_memory_accounting)


---
##### `socket_memory_limit`

* see [`service_memory_limit`](#service_memory_limit)


---
##### `socket_blk_io_accounting`

* see [`service_blk_io_accounting`](#service_blk_io_accounting)


---
##### `socket_blk_io_weight`

* see [`service_blk_io_weight`](#service_blk_io_weight)


---
##### `socket_startup_blk_io_weight`

* see [`service_startup_blk_io_weight`](#service_startup_blk_io_weight)


---
##### `socket_blk_io_device_weight`

* see [`service_blk_io_device_weight`](#service_blk_io_device_weight)


---
##### `socket_blk_io_read_bw`

* see [`service_blk_io_read_bw`](#service_blk_io_read_bw)


---
##### `socket_blk_io_write_bw`

* see [`service_blk_io_write_bw`](#service_blk_io_write_bw)


---
##### `socket_device_allow`

* see [`service_device_allow`](#service_device_allow)


---
##### `socket_device_policy`

* see [`service_device_policy`](#service_device_policy)


---
##### `socket_slice`

* see [`service_slice`](#service_slice)


---
##### `socket_delegate`

* see [`service_delegate`](#service_delegate)



[//]: # ( S Y S T E M D : : D E V I C E ################################ )

---
#### `systemd::device`

`systemd::device` shares the same attributes
as [`systemd::unit`](#systemdunit) has.
It does not have any further specific attributes.

Unlike [`systemd::mount`](#systemdmount)
the `$title` is _not_ automatically transformed
to systemd's path representation.
If you want to create a `.device` file for `/dev/sdb1`,
you have to translate it to `'dev-sdb1'` on your own.
This is due to the facts,
that you can specify [`path`](#path),
and there is no [`mount_where`](#mount_where) equivalent.



[//]: # ( S Y S T E M D : : M O U N T ################################## )

---
#### `systemd::mount`

As a heads-up:

> In general,
> configuring mount points through
> `/etc/fstab` is the preferred approach.

Quote from
[`systemd.mount(5)`](https://freedesktop.org/software/systemd/man/systemd.mount.html).
Everything what shall remain mountable
_without_ the aide of `systemd`
belongs into the `fstab(5)`.

This defined type creates a proper `.mount` unit file,
and optionally ensures via a
[`mount` resource](https://docs.puppet.com/puppet/latest/reference/types/mount.html),
that it ain't defined in `fstab(5)`, too.

The mount itself's then (optionally) managed
via a corresponding
[service](https://docs.puppet.com/puppet/latest/reference/types/service.html).

`systemd::mount` tries to mimic the behavior
of puppet's native `mount` resource type:
The mountpoint defaults to the resource title
unless an explicit [`mount_where`](#mount_where) was specified.

As other types,
this defined type accepts all paramaters
[`systemd::unit`](#systemdunit) does.


---
##### `mount_what`

* abstract: see
  [`What=` in `systemd.mount(5)`](https://freedesktop.org/software/systemd/man/systemd.mount.html#What=)

* value behavior

* valid values: A string of positive length containing no blanks.

* default: `undef`


---
##### `mount_where`

* abstract: see
  [`Where=` in `systemd.mount(5)`](https://freedesktop.org/software/systemd/man/systemd.mount.html#Where=)

* behavior:

	* This parameter has to be a string
	  starting and ending with a slash (indicating a directory).
	  It may not contain any blanks.

	* The default value is `default`.
	  In this case `$title` is taken as `mount_where`.

* acceptable values: `default`,
  any string of positive length containing no blank

* default: `default`.


---
##### `mount_type`

* abstract: see
  [`Type=` in `systemd.mount(5)`](https://freedesktop.org/software/systemd/man/systemd.mount.html#Type=)

* accepted values:
  `undef` or
  a string with no blanks of positive length

* default: `undef`


---
##### `mount_options`

* abstract: see
  [`Options=` in `systemd.mount(5)`](https://freedesktop.org/software/systemd/man/systemd.mount.html#Options=)

* accepted values:
  `undef`,
  or an array of strings.
  The array has to contain at least one element.
  Each element is a string of positive length.
  Strings may not contain spaces or `,` (commas).

* example: `['defaults', 'noauto', 'user_xattr', 'user']`

* default: `undef`


---
##### `mount_sloppy_options`

* abstract: see
  [`SloppyOptions=` in `systemd.mount(5)`](https://freedesktop.org/software/systemd/man/systemd.mount.html#SloppyOptions=)

* accepted values: `undef`, `true`, `false`

* default: `undef`


---
##### `mount_directory_mode`

* abstract: see
  [`DirectoryMode=` in `systemd.mount(5)`](https://freedesktop.org/software/systemd/man/systemd.mount.html#DirectoryMode=)

* value behavior:
  Mount point directories already present
  aren't changed (by systemd).
  If you'd like to ensure the mount point directory's mode is set,
  see [`manage_mount_point`](#manage_mount_point).

* accepted values:
  `undef`, four octal digits (as string)

* default: `undef`


---
##### `mount_timeout_sec`

* abstract: see
  [`TimeoutSec=` in `systemd.mount(5)`](https://freedesktop.org/software/systemd/man/systemd.mount.html#TimeoutSec=)

* value behavior:
	
	* “Pass `0` to disable the timeout logic.”
	
	* any positive integer: wait
	
	* `undef`:
	  systemd uses
	  [`manager_default_to_start_sec`](#manager_default_to_start_sec)

* accepted values: `undef` and non-negative integers

* default: `undef`


---
##### `mount_working_directory`

* see [`service_working_directory`](#service_working_directory)


---
##### `mount_root_directory`

* see [`service_root_directory`](#service_root_directory)


---
##### `mount_user`

* see [`service_user`](#service_user)


---
##### `mount_group`

* see [`service_group`](#service_group)


---
##### `mount_supplementary_groups`

* see [`service_supplementary_groups`](#service_supplementary_groups)


---
##### `mount_nice`

* see [`service_nice`](#service_nice)


---
##### `mount_oom_score_adjust`

* see [`service_oom_score_adjust`](#service_oom_score_adjust)


---
##### `mount_io_scheduling_class`

* see [`service_io_scheduling_class`](#service_io_scheduling_class)


---
##### `mount_io_scheduling_prio`

* see [`service_io_scheduling_prio`](#service_io_scheduling_prio)


---
##### `mount_cpu_sched_policy`

* see [`service_cpu_sched_policy`](#service_cpu_sched_policy)


---
##### `mount_cpu_sched_priority`

* see [`service_cpu_sched_priority`](#service_cpu_sched_priority)


---
##### `mount_cpu_sched_rset_on_frk`

* see [`service_cpu_sched_rset_on_frk`](#service_cpu_sched_rset_on_frk)


---
##### `mount_cpu_affinity`

* see [`service_cpu_affinity`](#service_cpu_affinity)


---
##### `mount_umask`

* see [`service_umask`](#service_umask)


---
##### `mount_environment`

* see [`service_environment`](#service_environment)


---
##### `mount_environment_file`

* see [`service_environment_file`](#service_environment_file)


---
##### `mount_standard_input`

* see [`service_standard_input`](#service_standard_input)


---
##### `mount_standard_output`

* see [`service_standard_output`](#service_standard_output)


---
##### `mount_standard_error`

* see [`service_standard_error`](#service_standard_error)


---
##### `mount_tty_path`

* see [`service_tty_path`](#service_tty_path)


---
##### `mount_tty_reset`

* see [`service_tty_reset`](#mount_tty_reset)


---
##### `mount_ttyv_hangup`

* see [`service_ttyv_hangup`](#service_ttyv_hangup)


---
##### `mount_ttyvt_disallocate`

* see [`service_ttyvt_disallocate`](#service_ttyvt_disallocate)


---
##### `mount_syslog_identifier`

* see [`service_syslog_identifier`](#service_syslog_identifier)


---
##### `mount_syslog_facility`

* see [`service_syslog_facility`](#service_syslog_facility)


---
##### `mount_syslog_level`

* see [`service_syslog_level`](#service_syslog_level)


---
##### `mount_syslog_level_prefix`

* see [`service_syslog_level_prefix`](#service_syslog_level_prefix)


---
##### `mount_timer_slack_nsec`

* see [`service_timer_slack_nsec`](#service_timer_slack_nsec)


---
##### `mount_limit_cpu`

* see [`service_limit_cpu`](#service_limit_cpu)


---
##### `mount_limit_fsize`

* see [`service_limit_fsize`](#service_limit_fsize)


---
##### `mount_limit_data`

* see [`service_limit_data`](#service_limit_data)


---
##### `mount_limit_stack`

* see [`service_limit_stack`](#service_limit_stack)


---
##### `mount_limit_core`

* see [`service_limit_core`](#service_limit_core)


---
##### `mount_limit_rss`

* see [`service_limit_rss`](#service_limit_rss)


---
##### `mount_limit_nofile`

* see [`service_limit_nofile`](#service_limit_nofile)


---
##### `mount_limit_as`

* see [`service_limit_as`](#service_limit_as)


---
##### `mount_limit_nproc`

* see [`service_limit_nproc`](#service_limit_nproc)


---
##### `mount_limit_memlock`

* see [`service_limit_memlock`](#service_limit_memlock)


---
##### `mount_limit_locks`

* see [`service_limit_locks`](#service_limit_locks)


---
##### `mount_limit_sigpending`

* see [`service_limit_sigpending`](#service_limit_sigpending)


---
##### `mount_limit_msgqueue`

* see [`service_limit_msgqueue`](#service_limit_msgqueue)


---
##### `mount_limit_nice`

* see [`service_limit_nice`](#service_limit_nice)


---
##### `mount_limit_rtprio`

* see [`service_limit_rtprio`](#service_limit_rtprio)


---
##### `mount_limit_rttime`

* see [`service_limit_rttime`](#service_limit_rttime)


---
##### `mount_pam_name`

* see [`service_pam_name`](#service_pam_name)


---
##### `mount_capability_boundn_set`

* see [`service_capability_boundn_set`](#service_capability_boundn_set)


---
##### `mount_secure_bits`

* see [`service_secure_bits`](#service_secure_bits)


---
##### `mount_capabilities`

* see [`service_capabilities`](#service_capabilities)


---
##### `mount_read_write_dirs`

* see [`service_read_write_dirs`](#service_read_write_dirs)


---
##### `mount_read_only_dirs`

* see [`service_read_only_dirs`](#service_read_only_dirs)


---
##### `mount_inaccessible_dirs`

* see [`service_inaccessible_dirs`](#service_inaccessible_dirs)


---
##### `mount_private_tmp`

* see [`service_private_tmp`](#service_private_tmp)


---
##### `mount_private_devices`

* see [`service_private_devices`](#service_private_devices)


---
##### `mount_private_network`

* see [`service_private_network`](#service_private_network)


---
##### `mount_protect_system`

* see [`service_protect_system`](#service_protect_system)


---
##### `mount_protect_home`

* see [`service_protect_home`](#service_protect_home)


---
##### `mount_mount_flag`

* see [`service_mount_flag`](#service_mount_flag)


---
##### `mount_utmp_identifier`

* see [`service_utmp_identifier`](#service_utmp_identifier)


---
##### `mount_utmp_mode`

* see [`service_utmp_mode`](#service_utmp_mode)


---
##### `mount_se_linux_context`

* see [`service_se_linux_context`](#service_se_linux_context)


---
##### `mount_app_armor_profile`

* see [`service_app_armor_profile`](#service_app_armor_profile)


---
##### `mount_smack_process_label`

* see [`service_smack_process_label`](#service_smack_process_label)


---
##### `mount_ignore_sigpipe`

* see [`service_ignore_sigpipe`](#service_ignore_sigpipe)


---
##### `mount_no_new_privileges`

* see [`service_no_new_privileges`](#service_no_new_privileges)


---
##### `mount_system_call_filter`

* see [`service_system_call_filter`](#service_system_call_filter)


---
##### `mount_system_call_error_no`

* see [`service_system_call_error_no`](#service_system_call_error_no)


---
##### `mount_system_call_archs`

* see [`service_system_call_archs`](#service_system_call_archs)


---
##### `mount_restrict_address_fam`

* see [`service_restrict_address_fam`](#service_restrict_address_fam)


---
##### `mount_personality`

* see [`service_personality`](#service_personality)


---
##### `mount_runtime_dir`

* see [`service_runtime_dir`](#service_runtime_dir)


---
##### `mount_runtime_dir_mode`

* see [`service_runtime_dir_mode`](#service_runtime_dir_mode)


---
##### `mount_kill_mode`

* see [`service_kill_mode`](#service_kill_mode)


---
##### `mount_kill_signal`

* see [`service_kill_signal`](#service_kill_signal)


---
##### `mount_send_sighup`

* see [`service_send_sighup`](#service_send_sighup)


---
##### `mount_send_sigkill`

* see [`service_send_sigkill`](#service_send_sigkill)


---
##### `mount_cpu_accounting`

* see [`service_cpu_accounting`](#service_cpu_accounting)


---
##### `mount_cpu_shares`

* see [`service_cpu_shares`](#service_cpu_shares)


---
##### `mount_startup_cpu_shares`

* see [`service_startup_cpu_shares`](#service_startup_cpu_shares)


---
##### `mount_cpu_quota`

* see [`service_cpu_quota`](#service_cpu_quota)


---
##### `mount_memory_accounting`

* see [`service_memory_accounting`](#service_memory_accounting)


---
##### `mount_memory_limit`

* see [`service_memory_limit`](#service_memory_limit)


---
##### `mount_blk_io_accounting`

* see [`service_blk_io_accounting`](#service_blk_io_accounting)


---
##### `mount_blk_io_weight`

* see [`service_blk_io_weight`](#service_blk_io_weight)


---
##### `mount_startup_blk_io_weight`

* see [`service_startup_blk_io_weight`](#service_startup_blk_io_weight)


---
##### `mount_blk_io_device_weight`

* see [`service_blk_io_device_weight`](#service_blk_io_device_weight)


---
##### `mount_blk_io_read_bw`

* see [`service_blk_io_read_bw`](#service_blk_io_read_bw)


---
##### `mount_blk_io_write_bw`

* see [`service_blk_io_write_bw`](#service_blk_io_write_bw)


---
##### `mount_device_allow`

* see [`service_device_allow`](#service_device_allow)


---
##### `mount_device_policy`

* see [`service_device_policy`](#service_device_policy)


---
##### `mount_slice`

* see [`service_slice`](#service_slice)


---
##### `mount_delegate`

* see [`service_delegate`](#service_delegate)


---
##### `manage_mount_resource`

* abstract:
  whether to manage the corresponding `mount` resource

* behavior
	
	* if `false` nothing changes
	
	* if `true`,
	  this resource ensures,
	  that the corresponding `mount` resource is `absent`.
	  The `mount` resource is made absent,
	  before we add the systemd mount unit file.

* type: `Boolean`

* default: `false`


---
##### `manage_mount_point`

* abstract:
  Whether to manage the directory [`mount_where`](#mount_where`).

* behavior
	
	* note:
	  To set its mode, see [`mount_directory_mode`](#mount_directory_mode).
	  Only systemd takes care of non-existant _parent_ directories.

* value type: `Boolean`

* default: `false`


---
##### `manage_service_resource`

* abstract:
  whether to manage the corresponding `service` resource

* type: `Boolean`

* default: `false`


---
##### `ensure_mounted`

* abstract:
  whether to ensure it the device is mounted

* behavior:
	
	* `true`:
	  provided [the `service` resource is managed](#manage_service_resource),
	  ensure it is `'running'`, that is mounted
	
	* `false`:
	  provided [the `service` resource is managed](#manage_service_resource),
	  ensure it is `'stopped'`, that is unmounted
	
	* `undef`: don't change anything

* default: `undef`


[//]: # ( S Y S T E M D : : A U T O M O U N T ########################## )

---
#### `systemd::automount`

The `systemd::automount` resource accepts all parameters
[`systemd::unit`](#systemdunit) does.

Like with [`systemd::mount`](#systemdmount),
you can specify the mount target as `$title`,
for instance `'/mnt/thing'`,
and it is automatically transformed into `systemd`'s
representation of paths required for `mount` related units,
so given the example the file's basename will be `'mnt-thing.automount'`.
This value is only used,
if [`automount_where`](#automount_where) is left at `default`.
If its value is specified,
then `$title` is used directly without any modifications
as the file's basename in conjunction with the suffix `'.automount'`,
provided [`path`](#path) was left as `default`. 


---
##### `automount_where`

* abstract: see
  [`Where=` in `systemd.automount(5)`](https://freedesktop.org/software/systemd/man/systemd.automount.html#Where=)

* behavior:
	
	* `default`: `Where=` defaults to the `$title`
	
	* any string: the string is as the `Where=` value

* allowed values: a string representing an absolute path, or `default`

* default value: `default`


---
##### `automount_directory_mode`

* abstract: see
  [`DirectoryMode=` in `systemd.automount(5)`](https://freedesktop.org/software/systemd/man/systemd.automount.html#DirectoryMode=)

* allowed values: `undef`, or string of four octal digits

* default: `undef`


---
##### `automount_timeout_idle_sec`

* abstract: see
  [`TimeoutIdleSec=` in `systemd.automount(5)`](https://freedesktop.org/software/systemd/man/systemd.automount.html#TimeoutIdleSec=)

* allowed values: a non-negative integer

* default: `undef`



---
[//]: # ( S Y S T E M D : : S W A P #################################### )

#### `systemd::swap`

All parameters [`systemd::unit`](#systemdunit) accepts
this defined type accepts, too.

---
##### `swap_what`

* abstract: see
  [`What=` in `systemd.swap(5)`](https://freedesktop.org/software/systemd/man/systemd.swap.html#What=)

* behavior:
	
	* a string: the string is used
	
	* `default`: `$title` is taken, presumed its representing an absolute path

* allowed values: `default`, or a string without blanks starting with a slash

* default value: `default`


---
##### `swap_priority`

* abstract: see
  [`Priority=` in `systemd.swap(5)`](https://freedesktop.org/software/systemd/man/systemd.swap.html#Priority=)

* allowed values: `undef`, or an integer within [-1, 32767]

* default: `undef`


---
##### `swap_options`

* abstract: see
  [`Options=` in `systemd.swap(5)`](https://freedesktop.org/software/systemd/man/systemd.swap.html#Options=)

* allowed values: `undef`, or a non-empty array
  of non-empty strings not containing any blanks or commas

* example: `['discard=pages', 'nofail']`

* dafault: `undef`


---
##### `swap_timeout_sec`

* abstract: see
  [`TimeoutSec=` in `systemd.swap(5)`](https://freedesktop.org/software/systemd/man/systemd.swap.html#TimeoutSec=)

* allowed values: a non-negative integer, or `undef`

* default: `undef`


---
##### `swap_working_directory`

* see [`service_working_directory`](#service_working_directory)


---
##### `swap_root_directory`

* see [`service_root_directory`](#service_root_directory)


---
##### `swap_user`

* see [`service_user`](#service_user)


---
##### `swap_group`

* see [`service_group`](#service_group)


---
##### `swap_supplementary_groups`

* see [`service_supplementary_groups`](#service_supplementary_groups)


---
##### `swap_nice`

* see [`service_nice`](#service_nice)


---
##### `swap_oom_score_adjust`

* see [`service_oom_score_adjust`](#service_oom_score_adjust)


---
##### `swap_io_scheduling_class`

* see [`service_io_scheduling_class`](#service_io_scheduling_class)


---
##### `swap_io_scheduling_prio`

* see [`service_io_scheduling_prio`](#service_io_scheduling_prio)


---
##### `swap_cpu_sched_policy`

* see [`service_cpu_sched_policy`](#service_cpu_sched_policy)


---
##### `swap_cpu_sched_priority`

* see [`service_cpu_sched_priority`](#service_cpu_sched_priority)


---
##### `swap_cpu_sched_rset_on_frk`

* see [`service_cpu_sched_rset_on_frk`](#service_cpu_sched_rset_on_frk)


---
##### `swap_cpu_affinity`

* see [`service_cpu_affinity`](#service_cpu_affinity)


---
##### `swap_umask`

* see [`service_umask`](#service_umask)


---
##### `swap_environment`

* see [`service_environment`](#service_environment)


---
##### `swap_environment_file`

* see [`service_environment_file`](#service_environment_file)


---
##### `swap_standard_input`

* see [`service_standard_input`](#service_standard_input)


---
##### `swap_standard_output`

* see [`service_standard_output`](#service_standard_output)


---
##### `swap_standard_error`

* see [`service_standard_error`](#service_standard_error)


---
##### `swap_tty_path`

* see [`service_tty_path`](#service_tty_path)


---
##### `swap_tty_reset`

* see [`service_tty_reset`](#swap_tty_reset)


---
##### `swap_ttyv_hangup`

* see [`service_ttyv_hangup`](#service_ttyv_hangup)


---
##### `swap_ttyvt_disallocate`

* see [`service_ttyvt_disallocate`](#service_ttyvt_disallocate)


---
##### `swap_syslog_identifier`

* see [`service_syslog_identifier`](#service_syslog_identifier)


---
##### `swap_syslog_facility`

* see [`service_syslog_facility`](#service_syslog_facility)


---
##### `swap_syslog_level`

* see [`service_syslog_level`](#service_syslog_level)


---
##### `swap_syslog_level_prefix`

* see [`service_syslog_level_prefix`](#service_syslog_level_prefix)


---
##### `swap_timer_slack_nsec`

* see [`service_timer_slack_nsec`](#service_timer_slack_nsec)


---
##### `swap_limit_cpu`

* see [`service_limit_cpu`](#service_limit_cpu)


---
##### `swap_limit_fsize`

* see [`service_limit_fsize`](#service_limit_fsize)


---
##### `swap_limit_data`

* see [`service_limit_data`](#service_limit_data)


---
##### `swap_limit_stack`

* see [`service_limit_stack`](#service_limit_stack)


---
##### `swap_limit_core`

* see [`service_limit_core`](#service_limit_core)


---
##### `swap_limit_rss`

* see [`service_limit_rss`](#service_limit_rss)


---
##### `swap_limit_nofile`

* see [`service_limit_nofile`](#service_limit_nofile)


---
##### `swap_limit_as`

* see [`service_limit_as`](#service_limit_as)


---
##### `swap_limit_nproc`

* see [`service_limit_nproc`](#service_limit_nproc)


---
##### `swap_limit_memlock`

* see [`service_limit_memlock`](#service_limit_memlock)


---
##### `swap_limit_locks`

* see [`service_limit_locks`](#service_limit_locks)


---
##### `swap_limit_sigpending`

* see [`service_limit_sigpending`](#service_limit_sigpending)


---
##### `swap_limit_msgqueue`

* see [`service_limit_msgqueue`](#service_limit_msgqueue)


---
##### `swap_limit_nice`

* see [`service_limit_nice`](#service_limit_nice)


---
##### `swap_limit_rtprio`

* see [`service_limit_rtprio`](#service_limit_rtprio)


---
##### `swap_limit_rttime`

* see [`service_limit_rttime`](#service_limit_rttime)


---
##### `swap_pam_name`

* see [`service_pam_name`](#service_pam_name)


---
##### `swap_capability_boundn_set`

* see [`service_capability_boundn_set`](#service_capability_boundn_set)


---
##### `swap_secure_bits`

* see [`service_secure_bits`](#service_secure_bits)


---
##### `swap_capabilities`

* see [`service_capabilities`](#service_capabilities)


---
##### `swap_read_write_dirs`

* see [`service_read_write_dirs`](#service_read_write_dirs)


---
##### `swap_read_only_dirs`

* see [`service_read_only_dirs`](#service_read_only_dirs)


---
##### `swap_inaccessible_dirs`

* see [`service_inaccessible_dirs`](#service_inaccessible_dirs)


---
##### `swap_private_tmp`

* see [`service_private_tmp`](#service_private_tmp)


---
##### `swap_private_devices`

* see [`service_private_devices`](#service_private_devices)


---
##### `swap_private_network`

* see [`service_private_network`](#service_private_network)


---
##### `swap_protect_system`

* see [`service_protect_system`](#service_protect_system)


---
##### `swap_protect_home`

* see [`service_protect_home`](#service_protect_home)


---
##### `swap_mount_flag`

* see [`service_swap_flag`](#service_mount_flag)


---
##### `swap_utmp_identifier`

* see [`service_utmp_identifier`](#service_utmp_identifier)


---
##### `swap_utmp_mode`

* see [`service_utmp_mode`](#service_utmp_mode)


---
##### `swap_se_linux_context`

* see [`service_se_linux_context`](#service_se_linux_context)


---
##### `swap_app_armor_profile`

* see [`service_app_armor_profile`](#service_app_armor_profile)


---
##### `swap_smack_process_label`

* see [`service_smack_process_label`](#service_smack_process_label)


---
##### `swap_ignore_sigpipe`

* see [`service_ignore_sigpipe`](#service_ignore_sigpipe)


---
##### `swap_no_new_privileges`

* see [`service_no_new_privileges`](#service_no_new_privileges)


---
##### `swap_system_call_filter`

* see [`service_system_call_filter`](#service_system_call_filter)


---
##### `swap_system_call_error_no`

* see [`service_system_call_error_no`](#service_system_call_error_no)


---
##### `swap_system_call_archs`

* see [`service_system_call_archs`](#service_system_call_archs)


---
##### `swap_restrict_address_fam`

* see [`service_restrict_address_fam`](#service_restrict_address_fam)


---
##### `swap_personality`

* see [`service_personality`](#service_personality)


---
##### `swap_runtime_dir`

* see [`service_runtime_dir`](#service_runtime_dir)


---
##### `swap_runtime_dir_mode`

* see [`service_runtime_dir_mode`](#service_runtime_dir_mode)


---
##### `swap_kill_mode`

* see [`service_kill_mode`](#service_kill_mode)


---
##### `swap_kill_signal`

* see [`service_kill_signal`](#service_kill_signal)


---
##### `swap_send_sighup`

* see [`service_send_sighup`](#service_send_sighup)


---
##### `swap_send_sigkill`

* see [`service_send_sigkill`](#service_send_sigkill)


---
##### `swap_cpu_accounting`

* see [`service_cpu_accounting`](#service_cpu_accounting)


---
##### `swap_cpu_shares`

* see [`service_cpu_shares`](#service_cpu_shares)


---
##### `swap_startup_cpu_shares`

* see [`service_startup_cpu_shares`](#service_startup_cpu_shares)


---
##### `swap_cpu_quota`

* see [`service_cpu_quota`](#service_cpu_quota)


---
##### `swap_memory_accounting`

* see [`service_memory_accounting`](#service_memory_accounting)


---
##### `swap_memory_limit`

* see [`service_memory_limit`](#service_memory_limit)


---
##### `swap_blk_io_accounting`

* see [`service_blk_io_accounting`](#service_blk_io_accounting)


---
##### `swap_blk_io_weight`

* see [`service_blk_io_weight`](#service_blk_io_weight)


---
##### `swap_startup_blk_io_weight`

* see [`service_startup_blk_io_weight`](#service_startup_blk_io_weight)


---
##### `swap_blk_io_device_weight`

* see [`service_blk_io_device_weight`](#service_blk_io_device_weight)


---
##### `swap_blk_io_read_bw`

* see [`service_blk_io_read_bw`](#service_blk_io_read_bw)


---
##### `swap_blk_io_write_bw`

* see [`service_blk_io_write_bw`](#service_blk_io_write_bw)


---
##### `swap_device_allow`

* see [`service_device_allow`](#service_device_allow)


---
##### `swap_device_policy`

* see [`service_device_policy`](#service_device_policy)


---
##### `swap_slice`

* see [`service_slice`](#service_slice)


---
##### `swap_delegate`

* see [`service_delegate`](#service_delegate)


---
##### `manage_mount_resource`

* abstract:
  whether to manage the corresponding `mount` resource

* behavior
	
	* if `false` nothing changes
	
	* if `true`,
	  this resource ensures,
	  that the corresponding `mount` resource is `absent`.
	  The `mount` resource is made absent,
	  before we add the systemd mount unit file.

* type: `Boolean`

* default: `false`


---
##### `manage_service_resource`

* abstract: whether to manage the service

* note: this parameter's required to be `true`
  in order to have [`ensure_swapon`](#ensure_swapon) have an effect

* allowed values: `false`, `true`

* default: `false`


---
##### `ensure_swapon`

* abstract:

* behavior:
	
	* `true`: ensure `swapon(8)`, provided
	  [`manage_service_resource`](#manage_service_resource)
	
	* `false`: ensure `swapoff(8)`, provided
	  [`manage_service_resource`](#manage_service_resource)
	
	* `undef`: don't do anything regarding its status

* allowed values: `true`, `false`, `undef`

* default: `undef`


---
[//]: # ( S Y S T E M D : : T A R G E T ################################ )

#### `systemd::target`

* see [`systemd::unit`](#systemdunit)

* just the file name's suffix for the `default` [`path`](#path)
  is adjusted accordingly to `'.target'`


---
[//]: # ( S Y S T E M D : : P A T H #################################### )

#### `systemd::path`

The `systemd.path(5)` unit type
is a neat interface to Linux' `inotify(7)` functionality.
[However, it still ain't an objective of an init-system.]


---
##### `path_path_exists`

* abstract: see
  [`PathExists=` in `systemd.path(5)`](https://freedesktop.org/software/systemd/man/systemd.path.html#PathExists=)

* allowed values: `undef`, or a non-empty array of strings representing
  absolute paths (without blanks) or empty strings

* default: `undef`


---
##### `path_path_exists_glob`

* abstract: see
  [`PathExistsGlob=` in `systemd.path(5)`](https://freedesktop.org/software/systemd/man/systemd.path.html#PathExistsGlob=)

* allowed values: a non-empty array of strings representing absolute paths
  (without blanks) or empty strings, or just `undef`

* default: `undef`


---
##### `path_path_changed`

* abstract: see
  [`PathChanged=` in `systemd.path(5)`](https://freedesktop.org/software/systemd/man/systemd.path.html#PathChanged=)

* allowed values: `undef`, or a non-empty array of strings representing
  absolute paths (without blanks) or empty strings

* default: `undef`


---
##### `path_path_modified`

* abstract: see
  [`PathModified=` in `systemd.path(5)`](https://freedesktop.org/software/systemd/man/systemd.path.html#PathModified=)

* allowed values: `undef`, or a non-empty array of strings representing
  absolute paths (without blanks) or empty strings

* default: `undef`


---
##### `path_directory_not_empty`

* abstract: see
  [`DirectoryNotEmpty=` in `systemd.path(5)`](https://freedesktop.org/software/systemd/man/systemd.path.html#DirectoryNotEmpty=)

* allowed values: `undef`, or a non-empty array of strings representing
  absolute paths to directories, thus starting and ending on a slash, and
  not containing any blanks, or empty strings as elements

* example: `['/run/systemd/ask-password/']`


---
##### `path_unit`

* abstract: see
  [`Unit=` in `systemd.path(5)`](https://freedesktop.org/software/systemd/man/systemd.path.html#Unit=)

* allowed values: a non-empty strings without blanks, or `undef`

* default: `undef`


---
##### `path_make_directory`

* abstract: see
  [`MakeDirectory=` in `systemd.path(5)`](https://freedesktop.org/software/systemd/man/systemd.path.html#MakeDirectory=)

* allowed values: `undef`, `false`, `true`

* default: `undef`


---
##### `path_directory_mode`

* abstract: see
  [`DirectoryMode=` in `systemd.path(5)`](https://freedesktop.org/software/systemd/man/systemd.path.html#DirectoryMode=)

* allowed values: `undef`, or a string of four octal digits

* default: `undef`


---
[//]: # ( S Y S T E M D : : T I M E R ################################## )

#### `systemd::timer`


---
##### `timer_on_active_sec`

* abstract: see
  [`OnActiveSec=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#OnActiveSec=)

* allowed values: a non-negative integer, an empty string `''`, or `undef`

* default: `undef`


---
##### `timer_on_boot_sec`

* abstract: see
  [`OnBootSec=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#OnBootSec=)

* allowed values: `undef`, a non-negative integer, an empty string `''`

* default: `undef`


---
##### `timer_on_startup_sec`

* abstract: see
  [`OnStartupSec=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#OnStartupSec=)

* allowed values: the empty string `''`, a non-negative integer, or
  `undef`

* default: `undef`


---
##### `timer_on_unit_active_sec`

* abstract: see
  [`OnUnitActiveSec=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#OnUnitActiveSec=)

* allowed values: empty string `''`, a non-negative integer, or `undef`

* default: `undef`


---
##### `timer_on_unit_inactive_sec`

* abstract: see
  [`OnUnitInactiveSec=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#OnUnitInactiveSec=)

* allowed values: a non-negative integer, an empty string `''`, or `undef`

* default: `undef`


---
##### `timer_on_calendar`

* abstract: see
  [`OnCalendar=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#OnCalendar=)

* allowed values: `undef`, or a hash with the optional keys `weekdays`,
  `years`, `months`, `days`, `hours`, `minutes` and `seconds`.
  All of them accept hashes.
  The `weekdays` hash can have the optional keys `mondays`, `tuesdays`,
  `wednesdays`, `thursdays`, `fridays`, `saturdays`, and `sundays`.
  Their values are optional boolean values.
  The `years` hash can have keys which are integers starting with `1970`.
  The `months` hash can have keys which are integers from `1` to `12`.
  The `days` hash can have keys which are integers from `1` to `31`.
  The `hours` hash can have keys which are integers from `0` to `23`.
  The `minutes` hash can have keys which are integers from `0` to `59`.
  The `seconds` hash can have keys which are integers from `0` to `59`.
  The `years`, `months`, `days`, `hours`, `minutes`, `seconds` and `years`
  hash's values can be natural numbers or `undef`.
  Specifying a number means repetition.
  So `timer_on_calendar => {minutes => {30 => 2}}` means,
  “trigger every two minutes starting with minute `30`”.

* examples:
	
	* `Thu,Fri 2012-*-1,5 11:12:13`:
	  `{weekdays => {thursdays => true, fridays => true},
	  years => {2012 => undef}, days => {1 => undef, 5 => undef},
	  hours => {11 => undef}, minutes => {12 => undef},
	  seconds => {13 => undef}}`

* default: `undef`


---
##### `timer_accuracy_sec`

* abstract: see
  [`AccuracySec=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#AccuracySec=)

* acceptable values: a non-negative integer or `undef`

* default: `undef`


---
##### `timer_unit`

* abstract: see
  [`Unit=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#Unit=)

* allowed values: optionally a non-empty string containing no blanks

* default: `undef`


---
##### `timer_persistent`

* abstract: see
  [`Persistent=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#Persistent=)

* allowed values: `undef`, `false`, `true`

* default: `undef`


---
##### `timer_wake_system`

* abstract: see
  [`WakeSystem=` in `systemd.timer(5)`](https://freedesktop.org/software/systemd/man/systemd.timer.html#WakeSystem=)

* allowed values: `true`, `undef`, `false`

* default: `undef`


---
##### `manage_service_resource`

* abstract: whether to manage
  the service associated with the `*.timer` unit

* behavior:
	
	* `true`: provided [`path`](#path) remains `default`
	  the `service` resource associated with the timer unit
	  becomes managed
	
	* `false`: no additional behavior

* default: `false`


---
##### `ensure_service`

* abstract: the `ensure` attribute of the `service` resource
  introduced by this resource

* behavior:
	
	* `default`: the value depends on [`ensure`](#ensure).
	  If it's `'present'`, the default value of [`ensure`](#ensure),
	  the service will be `'running'`,
	  if it's `'absent'`, it'll be `'stopped'`.
	
	* `'running'`, `'stopped'`: the specified value is used directly

* allowed values: `default`, `'running'`, `'stopped'`

* default value: `default`


---
##### `enable_service`

* abstract: the `enable` attribute of the `service` resource
  introduced by this resource

* allowed values: `undef`, `true`, `false`, `'mask'`

* default: `undef`


---
##### `explicit_provider`

* abstract: whether the `provider` attribute of the `service` resource
  introduced by this resource explicitely states `'systemd'`

* allowed values: `false`, `true`

* default: `false`


---
##### `refresh_service_unit_update`

* abstract: whether changes of the `*.timer` unit `File`
  notifies the `service` resource introduced by this resource

* allowed values: `true`, `false`

* default: `false`



---
[//]: # ( S Y S T E M D : : S N A P S H O T ############################ )

#### `systemd::snapshot`

This defined type always
[`fail()`](https://docs.puppet.com/puppet/latest/reference/function.html#fail)s.


---
[//]: # ( S Y S T E M D : : S L I C E ################################## )

#### `systemd::slice`


---
##### `slice_cpu_accounting`

* see [`service_cpu_accounting`](#service_cpu_accounting)


---
##### `slice_cpu_shares`

* see [`service_cpu_shares`](#service_cpu_shares)


---
##### `slice_startup_cpu_shares`

* see [`service_startup_cpu_shares`](#service_startup_cpu_shares)


---
##### `slice_cpu_quota`

* see [`service_cpu_quota`](#service_cpu_quota)


---
##### `slice_memory_accounting`

* see [`service_memory_accounting`](#service_memory_accounting)


---
##### `slice_memory_limit`

* see [`service_memory_limit`](#service_memory_limit)


---
##### `slice_blk_io_accounting`

* see [`service_blk_io_accounting`](#service_blk_io_accounting)


---
##### `slice_blk_io_weight`

* see [`service_blk_io_weight`](#service_blk_io_weight)


---
##### `slice_startup_blk_io_weight`

* see [`service_startup_blk_io_weight`](#service_startup_blk_io_weight)


---
##### `slice_blk_io_device_weight`

* see [`service_blk_io_device_weight`](#service_blk_io_device_weight)


---
##### `slice_blk_io_read_bw`

* see [`service_blk_io_read_bw`](#service_blk_io_read_bw)


---
##### `slice_blk_io_write_bw`

* see [`service_blk_io_write_bw`](#service_blk_io_write_bw)


---
##### `slice_device_allow`

* see [`service_device_allow`](#service_device_allow)


---
##### `slice_device_policy`

* see [`service_device_policy`](#service_device_policy)


---
##### `slice_slice`

* see [`service_slice`](#service_slice)


---
##### `slice_delegate`

* see [`service_delegate`](#service_delegate)



---
[//]: # ( S Y S T E M D : : S C O P E ################################## )

#### `systemd::scope`

Scopes are not defined via unit files.
This resource type always
[`fail()`](https://docs.puppet.com/puppet/latest/reference/function.html#fail)s.
It just exists to reserve the identifier.
It does not have any parameters.


---
[//]: # ( S Y S T E M D : : S Y S T E M C T L : : E N A B L E ########## )

#### `systemd::systemctl::enable`

Sometimes, you need to ensure a unit is enabled,
without starting nor stopping it.
For example a `*.target` unit
which just gathers a whole bunch of service units together
but they don't have to get started right away –
at worst it would even be counter-productive.
That's what this defined type is for.

As you have guessed it,
this type invokes `systemctl enable $title`.
The reverse action can be achieved via
[`systemd::systemctl::disable`](#systemdsystemctldisable).
Note, that `enable` and `disable` aren't necessarily symmetric
[`systemctl(1)`](https://freedesktop.org/software/systemd/man/systemctl.html#disable NAME…).

Caveat:
Unit titles their prefix names contain at least one dot are not supported.
So `Systemd::Systemctl::Enable['foo.bar.service']`
would attempt to enable `foo.service`.
This restriction is due to the implementation
how uniqueness is ensured:
`Systemd::Systemctl::Enable['ssh']` and
`Systemd::Systemctl::Enable['ssh.service']`
would act on the same unit,
but is caught as an error.


---
##### `trivial_is_enabled_check`

* abstract: whether a trivial `is-enabled` check is sufficient

* behavior:
	
	* `true`: `systemctl is-enabled $title` just has to return `0`
	  being consided enabled.
	  Note, there are numerous states being considerd as “enabled” then,
	  see the table at
	  [`is-enabled` in `systemctl(1)`](https://freedesktop.org/software/systemd/man/systemctl.html#is-enabled NAME…).
	
	* `false`: `systemctl is-enabled $title`
	  has to return the string `'enabled'`, or
	  `'enabled-runtime'` if the [`scope`](#scope) dictates so.
	  Everything else is considerd as “not enabled”
	  and triggers invocation of `systemctl enable $title`.

* allowed values: `false`, `true`

* default: `true`


---
##### `unmask_if_necessary`

[//]: # ( * abstract)

[//]: # ( * abstract: whether to unmask the unit, if it is masked, )
[//]: # (   before attempting to enable it )
[//]: # ( )
[//]: # ( * allowed values: `false`, `true` )
[//]: # ( )
[//]: # ( * note: “Using enable on masked units results in an error.” — )
[//]: # (   [`systemctl(1`](https://freedesktop.org/software/systemd/man/systemctl.html#enable NAME…)
[//]: # ( )
[//]: # ( * default: `false` )

* reserved, until `systemd::systemctl::unmask` is implemented


---
##### `now`

* abstract: whether `enable` effects
  [`--now`](https://freedesktop.org/software/systemd/man/systemctl.html#--now)

* allowed values: `false`, `true`

* default: `false`


---
##### `now_implementation`

* abstract: how to achieve the effect of “now”

* behavior:
	
	* `'flag'`: the
	  [flag `--now`](https://freedesktop.org/software/systemd/man/systemctl.html#--now)
	  is added to the `enable` call
	
	* `'start'`: not implemented,
	  reserved to create a `systemd::systemctl::start` resource

* allowed values: `'flag'`, `'start'`

* default: `'flag'`


---
##### `scope`

* abstract: in which scope to act

* allowed values: `'system'`, `'user'`, `'runtime'`, `'global'`, or `undef`

* default: `undef`


---
##### `force`

* abstract: whether the command uses force

* allowed values: `false`, `true`

* default: `false`


---
##### `reload`

* abstract: whether to reload

* behavior:
	
	* `false`:
	  [`--no-reload`](https://freedesktop.org/software/systemd/man/systemctl.html#--no-reload)
	  is added
	
	* `true`: the _implicit_ reload remains in place

* allowed values: `false`, `true`


---
##### `host`

* abstract: specify a remote
  [host](https://freedesktop.org/software/systemd/man/systemctl.html#--host)

* allowed values: a structure having the keys
  `username`, `hostname` and `container_name`, or `undef`.
  `username` is an optional ASCII word.
  `hostname` has to be an ASCII word
  `container_name` is an optional ASCII word.

* example:
  `{username => 'support', hostname => "${trusted[hostname]}-host"}`

* default: `undef`


---
##### `machine`

* abstract: specify a
  [container](https://freedesktop.org/software/systemd/man/systemctl.html#--machine)

* allowed values: an ASCII word, or `undef`

* default: `undef`


---
##### `root`

* abstract: specify root path to look for units
  [root](https://freedesktop.org/software/systemd/man/systemctl.html#--root)

* allowed values: a string representing an absolute path to a directory,
  thus starting and ending on a slash, without any blanks allowed,
  or just `undef`

* default: `undef`


---
##### `user`

* abstract: the user to run the commands as

* behavior: directly corresponds
  to the user attribute of underlying `Exec` resources

* allowed values: an ASCII word, or `undef`

* default: `undef`


---
##### `logoutput`

* abstract: corresponds to `logoutput` attribute of `exec` resources

* allowed values: `false`, `true`, `'on_failure'`, `undef`

* default: `undef`


---
##### `refreshonly`

* abstract: corresponds to the `refreshonly`

* allowed values: `false`, `undef`, `true`

* default: `undef`


---
##### `trigger_daemon_reload`

* abstract: whether the `enable` call triggers a `daemon-reload`

* behavior
	
	* `true`: the `enable` `exec` refreshes
	  `Exec['systemd_reload_configuration']`
	  which is defined in the `systemd` class
	  (`systemd::daemon` to be specific)
	
	* `false`: no such relation is added

* allowed values: `false`, `true`

* default: `false`



---
[//]: # ( S Y S T E M D : : S Y S T E M C T L : : D I S A B L E ######## )

#### `systemd::systemctl::disable`

The `systemd::systemctl::disable` resource knows the following attributes
[`systemd::systemctl::enable`](#systemdsystemctlenable) has.

* [`scope`](#scope)
* [`force`](#force)
* [`now`](#now)
* [`now_implementation`](#now_implementation)
* [`reload`](#reload)
* [`machine`](#machine)
* [`root`](#root)
* [`user`](#user)
* [`logoutput`](#logoutput)
* [`refreshonly`](#refreshonly)
* [`trigger_daemon_reload`](#trigger_daemon_reload)


---
##### `masked_is_disabled`

* abstract: whether a `masked` status is considered as “disabled”

* allowed values: `false`, `true`

* default: `true`


---
##### `runtime_masked_is_disabled`

* abstract: whether a `runtime-masked` status is considered as “disabled”

* allowed values: `false`, `true`

* default: `true`


---
##### `static_is_disabled`

* abstract: whether the status `static` is considered as “disabled”

* allowed values: `false`, `true`

* default: `true`


---
##### `indirect_is_disabled`

* abstract: whether the status `indirect` is considered as “disabled”

* allowed values: `true`, `false`

* default: `true`



---
[//]: # ( S Y S T E M D : : S Y S T E M C T L : : A B L E ############## )

#### `systemd::systemctl::able`

For increased flexibility both resources
[`systemd::systemctl::enable`](#systemdsystemctlenable) and
[`systemd::systemctl::disable`](#systemdsystemctldisable) are
bound together to a single resource type.
This gives you the opportunity
to just specify a variable in [`$able`](#able)
selecting the proper resource.

This resources knows some attributes
both [`systemd::systemctl::enable`](#systemdsystemctlenable)
and [`systemd::systemctl::disable`](#systemdsystemctldisable) have.
However, some attributes have an extension in their allowed data types.
They accept twice, meaning as two-tuple, an adequate value.
This allows you, to distinct between an enabling versus disabling command.
For instance, you want `disable` to have an immediate effect,
but `enable` not.
You then specify `now => [false, true]`.
You can still specify simply `false`, though,
not distinguishing between [`able`](#able)
and affecting both `enable` or `disable` calls.
This feature's available for:

* [`force`](#force)
* [`now`](#now)
* [`now_implementation`](#now_implementation)
* [`reload`](#reload)

The remaining attributes are accepted without any change:

* [`host`](#host)
* [`machine`](#machine)
* [`root`](#root)
* [`user`](#user)
* [`logoutput`](#logoutput)
* [`refreshonly`](#refreshonly)
* [`trigger_daemon_reload`](#trigger_daemon_reload)


---
##### `able`

* abstract: chooses between and `enable` or `disable` resource

* note: `undef` is technically allowed, because you most probably feed this
  attribute with the evaluation of some dynamic expression.
  However [`reject_undef_able`](#reject_undef_able) restricts this by default.

* allowed values: `false`, `true`, `undef`

* default: `undef`


---
##### `reject_undef_able`

* abstract: whether an `undef` [`able`](#able) value isn't accepted

* note: `undef` might simply result by some stupid misspelling

* allowed values: `true`, `false`

* default: `true`


---
##### `reject_undef_able_unless_noop`

* abstract: whether in `noop` mode `undef` is still wrong

* behavior
	
	* `true`: even in `noop` mode an `undef` [`able`](#able)
	  isn't accepted
	
	* `false`: in `noop` mode `undef` is OK

* allowed values: `false`, `true`

* default: `false`



---



[//]: # (                                                                )
[//]: # ( F U N C T I O N S                                              )
[//]: # (                                                                )

---
### Functions

---
#### `systemd::bytes`

* abstract:
  calculate filesize by given prefixed integers

* parameters
	
	* the first parameters is the file size hash.
	  Following keys are allowed:
	  `['bytes', 'kibibytes', 'mebibytes', 'gibibytes', 'mebibytes']`
	  Their values can be `Integer`s.
	  This parameter is optional.
	  The function defaults to a value of `0`.
	
	* the second parameter `$restrict_input_values` determines,
	  whether negative sizes in the first parameter are allowed.
	  The default is `true`,
	  so `{'kibibytes' => 42, 'bytes' => -5}` fails.
	  Also `{'mebibytes' => 1024, 'gibibytes' => 1}` fails,
	  since values a larger prefix is available for
	  have to be used.
	
	* the third parameter `$restrict_non_negative_result`
	  makes the function fail,
	  when the calculated result is negative.
	  The default is `true`.
	  This functionality is redundant,
	  since everywhere in this module,
	  where a file size is expected,
	  their value type is restricted to `Integer[0]`.
	  This function prints a more explanatory error message though.

* returns: an integer

* default: `0`


#### `systemd::time_span`

```puppet
	systemd::time_span({
			duopental_weeks                => 0,
			quad_weeks                     => 0,
			weeks                          => 0,
			days                           => 0,
			hours                          => 0,
			minutes                        => 0,
			seconds                        => 0,
		},
		true,
		true,
	)
```

`years` has been renamed to `duopental_weeks`
to avoid the vagueness of the term “year”.

`months` has been renamed to `quad_weeks` to avoid
confusion with calendar months.

All parameters are optional,
except it's gotta at least supplied with an empty hash `{}`.
The function defaults to a value of zero `0`.

Set `restrict_normalized` to enforce the function
only accepting a range of values.
The restrictions are:

* no negative values
* `quad_weeks` up to and including `11`
* `weeks` up to and including `51`
* `days` up to and including `6`
* `hours` up to and including `23`
* `minutes` up to and including `59`
* `seconds` up to and including `59`
* `milliseconds` up to and including `999`
* `microseconds` up to and including `999`


#### `systemd::timestamp`


#### `systemd::calender_event`




## Limitations

* Ruby Hashes weren't always sorted.
  Upgrade your ruby version,
  if you experience `Systemd` resources change on every puppet run,
  though your manifests stayed the same.

* `systemd(1)` does not (yet) include a bootloader.
  `:-(` [ironic frownie]
  Some services are configured via the kernel boot cmdline only.
  E.g.
  [`systemd-fsck(8)`](https://freedesktop.org/software/systemd/man/systemd-fsck.html) or
  [`systemd-backlight(8)`](https://freedesktop.org/software/systemd/man/systemd-backlight.html).
  To configure them,
  you have to tweak your boot cmdline,
  for instance – if GRUB2 is your bootloader –
  by setting the `GRUB_CMDLINE_LINUX_DEFAULT`
  variable accordingly in `/etc/default/grub`
  (and `grub-mkconfig -o /boot/grub/grub.cfg` of course).
  See
  [`systemd.directives(7)` § “options on the kernel command line”](https://freedesktop.org/software/systemd/man/systemd.directives.html#Options on the kernel command line)
  for a complete list.

* There's no native way to _mask_ unit files.
  E.g. your distribution came with the file
  `/lib/systemd/system/annoying.unit`.
  You have to write a `file` resource on your own,
  where `content => ''`, or `target => '/dev/null'`
  (whatever your preference to mask units is).
  See
  [`systemd.unit(5)`](https://freedesktop.org/software/systemd/man/systemd.unit.html),
  [`systemd.network(5)`](https://freedesktop.org/software/systemd/man/systemd.network.html#Description),
  [`systemd.netdev(5)`](https://freedesktop.org/software/systemd/man/systemd.netdev.html#Description),
  [`systemd.link(5)`](https://freedesktop.org/software/systemd/man/systemd.link.html#Description).
  Only with `service` resources
  [`enable => 'mask'`](https://docs.puppet.com/puppet/latest/types/service.html#service-attribute-enable)
  masks service units.

* As noticed in the entry statement `systemd` is under heavy development.
  Various things have appeared and disappeared.
  It's beyond this module's scope
  to document which versions supported a specific attribute.
  Have a look into your specific `systemd` version,
  if something doesn't work out.

* A `systemd` version fact has not yet been implemented.
  I don't wanna collect unnecessary facts, that don't get used.
  At least in my set-up there's no need for such a fact.



## Links

* [suckless.org/sucks/systemd](http://suckless.org/sucks/systemd)
  (why `suicided`aemon is a better name)

* Kai Burghardt recommends,
  have a serious look into software with no known history of `systemd`isease.
  E.g. [FreeBSD](https://www.freebsd.org/where.html)
  or Microsoft Windows `(^o^)`.

* A species that's developed immunity against `systemd`isease
  has been discovered:
  It's called [Devuan](https://devuan.org/os/documentation/install).
  However, better have something,
  that's never been contaminated with `systemd`isease pathogens.


## Development

I don't like `systemd`.
Do not annoy me,
if `systemd` broke something (sigh, again).
Some dudes at my workplace (unfortunately my superior)
want to use Debian (stable, as of 2016 “Jessie”).
Well, touché,
you don't switch distributions just like that,
from one day to another,
_especially_ on a big system.
So I'm primarily concerned about bugfixes
to work with the Debian stable release
(“ancient” would be a more proper term).

Don't tell _me_
this module should be split up into multiple ones.
The feebs at systemd didn't do so either.
My rationale:
I have got a package named `systemd` here.
Everything originating from a single package
shall be managed by a single puppet module.
And that's that.


---

Authors of this document: see comments in `readme.md`

[//]: # ( vim: set ft=markdown tw=140 ts=4 noet bs=eol,start,indent:)
